<?php
    if ( ! class_exists( 'Redux' ) ) {
        return;
    }

    $opt_name = 'visualmodo';
    $ReduxFrameworkAssets = get_template_directory_uri() . '/assets/images/options/';

    $theme = wp_get_theme(); // For use with some settings. Not necessary.

    $args = array(
        'display_name'         => $theme->get( 'Name' ),
        'display_version'      => $theme->get( 'Version' ),
        'menu_title'           => esc_html__( 'Allcom Settings', 'allcom' ),
        'customizer'           => true,
    );

    Redux::setArgs( $opt_name, $args );

Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-brand',
    'title'     => __('Brand', 'allcom'),
    'desc'      => __('Control and configure the general setup of your brand.', 'allcom'),
    'fields'    => array(
        array(
            'id' => 'brand_scheme', 
            'type' => 'button_set',
            'title' => __('Brand Scheme', 'allcom'),
            'subtitle' => __('Choose the structure that is right for you.', 'allcom'),
            'desc' => __('The options text use the Site Title on Settings > General.<br>If any text content option is enabled, a new option will appear in the typography section specific to that text.', 'allcom'),
            'options' => array(
                '1' => 'Just Text Name',
                '2' => 'Logo And Text Name',
                '3' => 'Just Logo',
            ),
            'default' => '1'
        ),
        array(
            'id'        => 'brand_name',
            'type'      => 'text',
            'title'     => __('Brand Name', 'allcom'),
            'desc'      => __('If this field is left blank, the system will use the General Settings Site Title.', 'allcom'),
            'required' => array('brand_scheme','equals', array( '1', '2' ) ),
        ),
        array(
            'id'        => 'brand_alt',
            'type'      => 'text',
            'title'     => __('Brand Alt Logo', 'allcom'),
            'desc'      => __('Alt for SEO best practice. Search engines love them.', 'allcom'),
            'required' => array('brand_scheme','equals', array( '2', '3' ) ),
            'default' => '',
        ),
        array(
            'id'        => 'light-theme-logo',
            'type'      => 'accordion',
            'title'     => 'Light Theme',
            'subtitle'  => 'For Light Backgrounds.',
            'position'  => 'start',
        ),
            array(
                'id'        => 'brand_light_theme',
                'type'      => 'media', 
                'title'     => __('Light Theme Logo', 'allcom'),
                'desc'      => __('Choose a logo image to display for headers with a light background.', 'allcom'),
                'subtitle'  => __('Optimal image height is 48px.', 'allcom'),
            ),
            array(
                'id'        => 'brand_retina_light_theme',
                'type'      => 'media', 
                'title'     => __('Retina Light Theme Logo', 'allcom'),
                'desc'      => __('Choose a logo image to display for headers with a light background.', 'allcom'),
                'subtitle'  => __('Optimal image height is 96px.', 'allcom'),
            ),
            array(
                'id'        => 'brand_mobile_light_theme',
                'type'      => 'media', 
                'title'     => __('Mobile Light Theme Logo', 'allcom'),
                'desc'      => __('Choose a logo image to display for headers with a light background.', 'allcom'),
                'subtitle'  => __('Optimal image height is 24px.', 'allcom'),
            ),
            array(
                'id'        => 'brand_retina_mobile_light_theme',
                'type'      => 'media', 
                'title'     => __('Retina Mobile Light Theme Logo', 'allcom'),
                'desc'      => __('Choose a logo image to display for headers with a light background.', 'allcom'),
                'subtitle'  => __('Optimal image height is 48px.', 'allcom'),
            ),
        array(
            'id'        => 'light-theme-logo-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'dark-theme-logo',
            'type'      => 'accordion',
            'title'     => 'Dark Theme',
            'subtitle'  => 'For Dark Backgrounds.',
            'position'  => 'start',
        ),
            array(
                'id'        => 'brand_dark_theme',
                'type'      => 'media', 
                'title'     => __('Dark Theme Logo', 'allcom'),
                'desc'      => __('Choose a logo image to display for headers with a dark background.', 'allcom'),
                'subtitle'  => __('Optimal image height is 48px.', 'allcom'),
            ),
            array(
                'id'        => 'brand_retina_dark_theme',
                'type'      => 'media', 
                'title'     => __('Retina Dark Theme Logo', 'allcom'),
                'desc'      => __('Choose a logo image to display for headers with a dark background.', 'allcom'),
                'subtitle'  => __('Optimal image height is 96px.', 'allcom'),
            ),
            array(
                'id'        => 'brand_mobile_dark_theme',
                'type'      => 'media', 
                'title'     => __('Mobile Dark Theme Logo', 'allcom'),
                'desc'      => __('Choose a logo image to display for headers with a dark background.', 'allcom'),
                'subtitle'  => __('Optimal image height is 24px.', 'allcom'),
            ),
            array(
                'id'        => 'brand_retina_mobile_dark_theme',
                'type'      => 'media', 
                'title'     => __('Retina Mobile Dark Theme Logo', 'allcom'),
                'desc'      => __('Choose a logo image to display for headers with a dark background.', 'allcom'),
                'subtitle'  => __('Optimal image height is 48px.', 'allcom'),
            ),
        array(
            'id'        => 'dark-theme-logo-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'light-theme-logo-constrast',
            'type'      => 'accordion',
            'title'     => 'Light Theme - High Contrast',
            'subtitle'  => 'For Light Backgrounds.',
            'position'  => 'start',
        ),
            array(
                'id'        => 'brand_light_theme_contrast',
                'type'      => 'media', 
                'title'     => __('Light Theme Logo - High Contrast', 'allcom'),
                'desc'      => __('Choose a colorless logo image to display for headers with a light background.', 'allcom'),
                'subtitle'  => __('Optimal image height is 48px.', 'allcom'),
            ),
            array(
                'id'        => 'brand_retina_light_theme_contrast',
                'type'      => 'media', 
                'title'     => __('Retina Light Theme Logo - High Contrast', 'allcom'),
                'desc'      => __('Choose a colorless logo image to display for headers with a light background.', 'allcom'),
                'subtitle'  => __('Optimal image height is 96px.', 'allcom'),
            ),
            array(
                'id'        => 'brand_mobile_light_theme_contrast',
                'type'      => 'media', 
                'title'     => __('Mobile Light Theme Logo - High Contrast', 'allcom'),
                'desc'      => __('Choose a colorless logo image to display for headers with a light background.', 'allcom'),
                'subtitle'  => __('Optimal image height is 24px.', 'allcom'),
            ),
            array(
                'id'        => 'brand_retina_mobile_light_theme_contrast',
                'type'      => 'media', 
                'title'     => __('Retina Mobile Light Theme Logo - High Contrast', 'allcom'),
                'desc'      => __('Choose a colorless logo image to display for headers with a light background.', 'allcom'),
                'subtitle'  => __('Optimal image height is 48px.', 'allcom'),
            ),
        array(
            'id'        => 'light-theme-logo-contrast-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'dark-theme-logo-constrast',
            'type'      => 'accordion',
            'title'     => 'Dark Theme - High Contrast',
            'subtitle'  => 'For Dark Backgrounds.',
            'position'  => 'start',
        ),
            array(
                'id'        => 'brand_dark_theme_contrast',
                'type'      => 'media', 
                'title'     => __('Dark Theme Logo - High Contrast', 'allcom'),
                'desc'      => __('Choose a colorless logo image to display for headers with a dark background.', 'allcom'),
                'subtitle'  => __('Optimal image height is 48px.', 'allcom'),
            ),
            array(
                'id'        => 'brand_retina_dark_theme_contrast',
                'type'      => 'media', 
                'title'     => __('Retina Dark Theme Logo - High Contrast', 'allcom'),
                'desc'      => __('Choose a colorless logo image to display for headers with a dark background.', 'allcom'),
                'subtitle'  => __('Optimal image height is 96px.', 'allcom'),
            ),
            array(
                'id'        => 'brand_mobile_dark_theme_contrast',
                'type'      => 'media', 
                'title'     => __('Mobile Dark Theme Logo - High Contrast', 'allcom'),
                'desc'      => __('Choose a colorless logo image to display for headers with a dark background.', 'allcom'),
                'subtitle'  => __('Optimal image height is 24px.', 'allcom'),
            ),
            array(
                'id'        => 'brand_retina_mobile_dark_theme_contrast',
                'type'      => 'media', 
                'title'     => __('Retina Mobile Dark Theme Logo - High Contrast', 'allcom'),
                'desc'      => __('Choose a colorless logo image to display for headers with a dark background.', 'allcom'),
                'subtitle'  => __('Optimal image height is 48px.', 'allcom'),
            ),
        array(
            'id'        => 'dark-theme-logo-contrast-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
    ),
));
Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-colors',
    'title'     => __('Colors', 'allcom'),
    'desc'      => __('The color system can help you create a color theme that reflects your brand or style.', 'allcom'),
    'fields'    => array(
        array(
            'id'       => 'header_color_theming',
            'type'     => 'button_set',
            'title'    => __('Header Color Theming', 'allcom'),
            'subtitle'     => __('Select a color theming.', 'allcom'),
            'options'  => array(
                'light-theme' => 'Light',
                'dark-theme' => 'Dark',
                'light-theme-contrast' => 'Light - High Contrast',
                'dark-theme-contrast' => 'Dark - High Contrast',
            ),
            'default'  => 'light-theme'
        ),
        array(
            'id'       => 'hero_color_theming',
            'type'     => 'button_set',
            'title'    => __('Hero Color Theming', 'allcom'),
            'subtitle'     => __('Select a color theming.', 'allcom'),
            'options'  => array(
                'light-theme' => 'Light',
                'dark-theme' => 'Dark',
                'light-theme-contrast' => 'Light - High Contrast',
                'dark-theme-contrast' => 'Dark - High Contrast',
            ),
            'default'  => 'dark-theme-contrast'
        ),
        array(
            'id'       => 'content_color_theming',
            'type'     => 'button_set',
            'title'    => __('Content Color Theming', 'allcom'),
            'subtitle'     => __('Select a color theming.', 'allcom'),
            'options'  => array(
                'light-theme' => 'Light',
                'dark-theme' => 'Dark',
                'light-theme-contrast' => 'Light - High Contrast',
                'dark-theme-contrast' => 'Dark - High Contrast',
            ),
            'default'  => 'light-theme'
        ),
        array(
            'id'       => 'footer_color_theming',
            'type'     => 'button_set',
            'title'    => __('Footer Color Theming', 'allcom'),
            'subtitle'     => __('Select a color theming.', 'allcom'),
            'options'  => array(
                'light-theme' => 'Light',
                'dark-theme' => 'Dark',
                'light-theme-contrast' => 'Light - High Contrast',
                'dark-theme-contrast' => 'Dark - High Contrast',
            ),
            'default'  => 'dark-theme'
        ),
    ),
));
Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-light',
    'title'     => __('Light Theme', 'allcom'),
    'desc'      => __('Create and apply color palettes to your UI, as well as measure the accessibility level of any color combination.', 'allcom'),
    'subsection' => true,
    'fields'    => array(
        array(
            'id'       => 'primary-light-theme',
            'type'     => 'color',
            'title'    => __('Primary Color', 'allcom'),
            'subtitle'     => __('Pick a primary color for the theme.', 'allcom'),
            'output_variables' => true,
            'default'   => '#4c3cff',
            'transparent' => false,
            'validate'  => 'color',
            'output'    => array(
                'color' => '.primary-color,header.light-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--outline-rounded,header.light-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--outline-round,header.light-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--outline-square,header.light-theme .social-media-icons--primary-color a,header.light-theme .contact-info--primary-color svg, .hero.light-theme .hero__title, .component-button-primary-color[class*="component-button-outline"] .light-theme input[type=submit]:not(.search-form-button):not(.search-form-input), .component-button-primary-color[class*="component-button-outline"] .light-theme button:not(.search-form-button)',

                'background-color' => '.primary-background-color,header.light-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--rounded,header.light-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--round,header.light-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--square,header.light-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--outline-rounded:hover,header.light-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--outline-round:hover,header.light-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--outline-square:hover,header.light-theme .divider--primary-color,.light-theme .search.search--primary-color input.submit,.light-theme .hamburger.is-active .hamburger-inner,.light-theme .hamburger.is-active .hamburger-inner::before,.light-theme .hamburger.is-active .hamburger-inner::after,.light-theme .hamburger:hover .hamburger-inner,.light-theme .hamburger:hover .hamburger-inner::before,.light-theme .hamburger:hover .hamburger-inner::after, .component-button-primary-color:not([class*="component-button-outline"]) .light-theme input[type=submit]:not(.search-form-button):not(.search-form-input), .component-button-primary-color:not([class*="component-button-outline"]) .light-theme button:not(.search-form-button):not(.header__toggler):not(.search-modal-button), .component-button-primary-color .light-theme input[type=submit]:hover:not(.search-form-button):not(.search-form-input), .component-button-primary-color .light-theme button:hover:not(.search-form-button):not(.header__toggler):not(.search-modal-button)',

                'border-color' => '.primary-border-color,header.light-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--rounded,header.light-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--round,header.light-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--square,header.light-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--outline-rounded,header.light-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--outline-round,header.light-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--outline-square,.light-theme .search.search--primary-color input.submit, .component-button-primary-color .light-theme input[type=submit]:not(.search-form-button):not(.search-form-input), .component-button-primary-color .light-theme button:not(.search-form-button):not(.header__toggler):not(.search-modal-button)',
            ),
        ),
        array(
            'id'       => 'secondary-light-theme',
            'type'     => 'color',
            'title'    => __('Secondary Color', 'allcom'),
            'subtitle'     => __('Pick a secondary color for the theme.', 'allcom'),
            'output_variables' => true,
            'default'   => '#eb0046',
            'transparent' => false,
            'validate'  => 'color',
            'output'    => array(
                'color' => '.secondary-color,header.light-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--outline-rounded,header.light-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--outline-round,header.light-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--outline-square,header.light-theme .social-media-icons--secondary-color a,header.light-theme .contact-info--secondary-color svg, .component-button-secondary-color[class*="component-button-outline"] .light-theme input[type=submit]:not(.search-form-button):not(.search-form-input), .component-button-secondary-color[class*="component-button-outline"] .light-theme button:not(.search-form-button)',

                'background-color' => '.secondary-background-color,header.light-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--rounded,header.light-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--round,header.light-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--square,header.light-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--outline-rounded:hover,header.light-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--outline-round:hover,header.light-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--outline-square:hover,header.light-theme .divider--secondary-color,.light-theme .search.search--secondary-color input.submit, .component-button-secondary-color:not([class*="component-button-outline"]) .light-theme input[type=submit]:not(.search-form-button):not(.search-form-input), .component-button-secondary-color:not([class*="component-button-outline"]) .light-theme button:not(.search-form-button):not(.header__toggler):not(.search-modal-button), .component-button-secondary-color .light-theme input[type=submit]:hover:not(.search-form-button):not(.search-form-input), .component-button-secondary-color .light-theme button:hover:not(.search-form-button):not(.header__toggler):not(.search-modal-button)',

                'border-color' => '.secondary-border-color,header.light-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--rounded,header.light-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--round,header.light-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--square,header.light-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--outline-rounded,header.light-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--outline-round,header.light-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--outline-square,.light-theme .search.search--secondary-color input.submit, .component-button-secondary-color .light-theme input[type=submit]:not(.search-form-button):not(.search-form-input), .component-button-secondary-color .light-theme button:not(.search-form-button):not(.header__toggler):not(.search-modal-button)',
            ),
        ),
        array(
            'id'       => 'tertiary-light-theme',
            'type'     => 'color',
            'title'    => __('Tertiary Color', 'allcom'),
            'subtitle'     => __('Pick a tertiary color for the theme.', 'allcom'),
            'output_variables' => true,
            'default'   => '#ffbe0b',
            'transparent' => false,
            'validate'  => 'color',
            'output'    => array(
                'color' => '.tertiary-color,header.light-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--outline-rounded,header.light-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--outline-round,header.light-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--outline-square,header.light-theme .social-media-icons--tertiary-color a,header.light-theme .contact-info--tertiary-color svg, .component-button-tertiary-color[class*="component-button-outline"] .light-theme input[type=submit]:not(.search-form-button):not(.search-form-input), .component-button-tertiary-color[class*="component-button-outline"] .light-theme button:not(.search-form-button)',

                'background-color' => '.tertiary-background-color,header.light-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--rounded,header.light-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--round,header.light-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--square,header.light-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--outline-rounded:hover,header.light-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--outline-round:hover,header.light-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--outline-square:hover,header.light-theme .divider--tertiary-color,.light-theme .search.search--tertiary-color input.submit, .component-button-tertiary-color:not([class*="component-button-outline"]) .light-theme input[type=submit]:not(.search-form-button):not(.search-form-input), .component-button-tertiary-color:not([class*="component-button-outline"]) .light-theme button:not(.search-form-button):not(.header__toggler):not(.search-modal-button), .component-button-tertiary-color .light-theme input[type=submit]:hover:not(.search-form-button):not(.search-form-input), .component-button-tertiary-color .light-theme button:hover:not(.search-form-button):not(.header__toggler):not(.search-modal-button)',

                'border-color' => '.tertiary-border-color,header.light-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--rounded,header.light-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--round,header.light-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--square,header.light-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--outline-rounded,header.light-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--outline-round,header.light-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--outline-square,.light-theme .search.search--tertiary-color input.submit, .component-button-tertiary-color .light-theme input[type=submit]:not(.search-form-button):not(.search-form-input), .component-button-tertiary-color .light-theme button:not(.search-form-button):not(.header__toggler):not(.search-modal-button)',
            ),
        ),
        array(
            'id'       => 'background-body-light-theme',
            'type'     => 'color',
            'title'    => __('Background Body', 'allcom'),
            'subtitle'     => __('Pick a background light color for the theme.', 'allcom'),
            'output_variables' => true,
            'output'    => array(
                'background-color' => 'body header.light-theme,.content-area.light-theme,footer.light-theme .background-color-image',
                'fill' => '.hero.light-theme .hero__shape svg',
            ),
            'transparent' => false,
        ),
        array(
            'id'       => 'contrast-background-body-light-theme',
            'type'     => 'color',
            'title'    => __('Background Body Contrast', 'allcom'),
            'subtitle'     => __('Pick a background light color for the theme.', 'allcom'),
            'output_variables' => true,
            'output'    => array(
                'background-color' => 'body header.light-theme-contrast,.content-area.light-theme-contrast,footer.light-theme-contrast .background-color-image',
                'fill' => '.hero.light-theme-contrast .hero__shape svg',
            ),
            'transparent' => false,
        ),
        array(
            'id'       => 'link-light-theme',
            'type'     => 'color',
            'title'    => __('Link', 'allcom'),
            'subtitle'     => __('It will apply to all the links.', 'allcom'),
            'output_variables' => true,
            'output'    => array(
                'color' => '.light-theme a',
            ),
            'default'   => '#4c3cff',
            'transparent' => false,
        ),
        array(
            'id'       => 'text-light-theme',
            'type'     => 'color',
            'title'    => __('Text', 'allcom'),
            'subtitle'     => __('It will apply to all the texts.', 'allcom'),
            'output_variables' => true,
            'output'    => array(
                'color' => '.light-theme',
            ),
            'default'   => '',
            'transparent' => false,
        ),
    ),
));
Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-dark',
    'title'     => __('Dark Theme', 'allcom'),
    'desc'      => __('Create and apply color palettes to your UI, as well as measure the accessibility level of any color combination.', 'allcom'),
    'subsection' => true,
    'fields'    => array(
        array(
            'id'       => 'primary-dark-theme',
            'type'     => 'color',
            'title'    => __('Primary Color', 'allcom'),
            'subtitle'     => __('Pick a primary color for the theme.', 'allcom'),
            'output_variables' => true,
            'default'   => '#4c3cff',
            'transparent' => false,
            'validate'  => 'color',
            'output'    => array(
                'color' => '.primary-color,header.dark-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--outline-rounded,header.dark-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--outline-round,header.dark-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--outline-square,header.dark-theme .social-media-icons--primary-color a,header.dark-theme .contact-info--primary-color svg, .hero.dark-theme .hero__title, .component-button-primary-color[class*="component-button-outline"] .dark-theme input[type=submit]:not(.search-form-button):not(.search-form-input), .component-button-primary-color[class*="component-button-outline"] .dark-theme button:not(.search-form-button)',

                'background-color' => '.primary-background-color,header.dark-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--rounded,header.dark-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--round,header.dark-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--square,header.dark-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--outline-rounded:hover,header.dark-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--outline-round:hover,header.dark-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--outline-square:hover,header.dark-theme .divider--primary-color,.dark-theme .search.search--primary-color input.submit,.dark-theme .hamburger.is-active .hamburger-inner,.dark-theme .hamburger.is-active .hamburger-inner::before,.dark-theme .hamburger.is-active .hamburger-inner::after,.dark-theme .hamburger:hover .hamburger-inner,.dark-theme .hamburger:hover .hamburger-inner::before,.dark-theme .hamburger:hover .hamburger-inner::after, .component-button-primary-color:not([class*="component-button-outline"]) .dark-theme input[type=submit]:not(.search-form-button):not(.search-form-input), .component-button-primary-color:not([class*="component-button-outline"]) .dark-theme button:not(.search-form-button):not(.header__toggler):not(.search-modal-button), .component-button-primary-color .dark-theme input[type=submit]:hover:not(.search-form-button):not(.search-form-input), .component-button-primary-color .dark-theme button:hover:not(.search-form-button):not(.header__toggler):not(.search-modal-button)',

                'border-color' => '.primary-border-color,header.dark-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--rounded,header.dark-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--round,header.dark-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--square,header.dark-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--outline-rounded,header.dark-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--outline-round,header.dark-theme .visualmodo-widget-button--primary-color.visualmodo-widget-button--outline-square,.dark-theme .search.search--primary-color input.submit, .component-button-primary-color .dark-theme input[type=submit]:not(.search-form-button):not(.search-form-input), .component-button-primary-color .dark-theme button:not(.search-form-button):not(.header__toggler):not(.search-modal-button)',
            ),
        ),
        array(
            'id'       => 'secondary-dark-theme',
            'type'     => 'color',
            'title'    => __('Secondary Color', 'allcom'),
            'subtitle'     => __('Pick a secondary color for the theme.', 'allcom'),
            'output_variables' => true,
            'default'   => '#eb0046',
            'transparent' => false,
            'validate'  => 'color',
            'output'    => array(
                'color' => '.secondary-color,header.dark-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--outline-rounded,header.dark-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--outline-round,header.dark-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--outline-square,header.dark-theme .social-media-icons--secondary-color a,header.dark-theme .contact-info--secondary-color svg, .component-button-secondary-color[class*="component-button-outline"] .dark-theme input[type=submit]:not(.search-form-button):not(.search-form-input), .component-button-secondary-color[class*="component-button-outline"] .dark-theme button:not(.search-form-button)',

                'background-color' => '.secondary-background-color,header.dark-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--rounded,header.dark-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--round,header.dark-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--square,header.dark-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--outline-rounded:hover,header.dark-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--outline-round:hover,header.dark-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--outline-square:hover,header.dark-theme .divider--secondary-color,.dark-theme .search.search--secondary-color input.submit, .component-button-secondary-color:not([class*="component-button-outline"]) .dark-theme input[type=submit]:not(.search-form-button):not(.search-form-input), .component-button-secondary-color:not([class*="component-button-outline"]) .dark-theme button:not(.search-form-button):not(.header__toggler):not(.search-modal-button), .component-button-secondary-color .dark-theme input[type=submit]:hover:not(.search-form-button):not(.search-form-input), .component-button-secondary-color .dark-theme button:hover:not(.search-form-button):not(.header__toggler):not(.search-modal-button)',

                'border-color' => '.secondary-border-color,header.dark-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--rounded,header.dark-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--round,header.dark-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--square,header.dark-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--outline-rounded,header.dark-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--outline-round,header.dark-theme .visualmodo-widget-button--secondary-color.visualmodo-widget-button--outline-square,.dark-theme .search.search--secondary-color input.submit, .component-button-secondary-color .dark-theme input[type=submit]:not(.search-form-button):not(.search-form-input), .component-button-secondary-color .dark-theme button:not(.search-form-button):not(.header__toggler):not(.search-modal-button)',
            ),
        ),
        array(
            'id'       => 'tertiary-dark-theme',
            'type'     => 'color',
            'title'    => __('Tertiary Color', 'allcom'),
            'subtitle'     => __('Pick a tertiary color for the theme.', 'allcom'),
            'output_variables' => true,
            'default'   => '#ffbe0b',
            'transparent' => false,
            'validate'  => 'color',
            'output'    => array(
                'color' => '.tertiary-color,header.dark-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--outline-rounded,header.dark-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--outline-round,header.dark-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--outline-square,header.dark-theme .social-media-icons--tertiary-color a,header.dark-theme .contact-info--tertiary-color svg, .component-button-tertiary-color[class*="component-button-outline"] .dark-theme input[type=submit]:not(.search-form-button):not(.search-form-input), .component-button-tertiary-color[class*="component-button-outline"] .dark-theme button:not(.search-form-button)',

                'background-color' => '.tertiary-background-color,header.dark-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--rounded,header.dark-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--round,header.dark-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--square,header.dark-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--outline-rounded:hover,header.dark-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--outline-round:hover,header.dark-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--outline-square:hover,header.dark-theme .divider--tertiary-color,.dark-theme .search.search--tertiary-color input.submit, .component-button-tertiary-color:not([class*="component-button-outline"]) .dark-theme input[type=submit]:not(.search-form-button):not(.search-form-input), .component-button-tertiary-color:not([class*="component-button-outline"]) .dark-theme button:not(.search-form-button):not(.header__toggler):not(.search-modal-button), .component-button-tertiary-color .dark-theme input[type=submit]:hover:not(.search-form-button):not(.search-form-input), .component-button-tertiary-color .dark-theme button:hover:not(.search-form-button):not(.header__toggler):not(.search-modal-button)',

                'border-color' => '.tertiary-border-color,header.dark-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--rounded,header.dark-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--round,header.dark-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--square,header.dark-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--outline-rounded,header.dark-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--outline-round,header.dark-theme .visualmodo-widget-button--tertiary-color.visualmodo-widget-button--outline-square,.dark-theme .search.search--tertiary-color input.submit, .component-button-tertiary-color .dark-theme input[type=submit]:not(.search-form-button):not(.search-form-input), .component-button-tertiary-color .dark-theme button:not(.search-form-button):not(.header__toggler):not(.search-modal-button)',
            ),
        ),
        array(
            'id'       => 'background-body-dark-theme',
            'type'     => 'color',
            'title'    => __('Background Body', 'allcom'),
            'subtitle'     => __('Pick a background dark color for the theme.', 'allcom'),
            'output_variables' => true,
            'output'    => array(
                'background-color' => 'body header.dark-theme,.content-area.dark-theme,footer.dark-theme .background-color-image',
                'fill' => '.hero.dark-theme .hero__shape svg',
            ),
            'transparent' => false,
        ),
        array(
            'id'       => 'contrast-background-body-dark-theme',
            'type'     => 'color',
            'title'    => __('Background Body Contrast', 'allcom'),
            'subtitle'     => __('Pick a background dark color for the theme.', 'allcom'),
            'output_variables' => true,
            'output'    => array(
                'background-color' => 'body header.dark-theme-contrast,.content-area.dark-theme-contrast,footer.dark-theme-contrast .background-color-image',
                'fill' => '.hero.dark-theme-contrast .hero__shape svg',
            ),
            'transparent' => false,
        ),
        array(
            'id'       => 'link-dark-theme',
            'type'     => 'color',
            'title'    => __('Link', 'allcom'),
            'subtitle'     => __('It will apply to all the links.', 'allcom'),
            'output_variables' => true,
            'output'    => array(
                'color' => '.dark-theme a',
            ),
            'default'   => '#4c3cff',
            'transparent' => false,
        ),
        array(
            'id'       => 'text-dark-theme',
            'type'     => 'color',
            'title'    => __('Text', 'allcom'),
            'subtitle'     => __('It will apply to all the texts.', 'allcom'),
            'output_variables' => true,
            'output'    => array(
                'color' => '.dark-theme',
            ),
            'default'   => '',
            'transparent' => false,
        ),
    ),
));
Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-structure',
    'title'     => __('Structure', 'allcom'),
    'desc'      => __('Make a big impression with this clean, modern, and mobile-friendly site.', 'allcom'),
    'fields'    => array(
        array(
            'id'        => 'body_boxed_or_stretched',
            'type'      => 'image_select',
            'title'     => __('Boxed or Stretched Style', 'allcom'),
            'subtitle'  => __('Choose the format that works best for you.', 'allcom'),
            'options'   => array(
                'container p-0' => array('alt' => 'Boxed', 'img' => $ReduxFrameworkAssets . 'boxed.png'),
                'container-fluid p-0' => array('alt' => 'Stretched', 'img' => $ReduxFrameworkAssets . 'stretched.png')
            ),
            'default'   => 'container-fluid p-0'
        ),
        array(
            'id'       => 'body_layout',
            'type'     => 'css_layout',
            'title'    => __( 'Layout', 'allcom' ),
            'desc'     => '<br>Accetped units values are: %, px, in, cm, mm, em, rem, ex, pt, pc',
            'output'   => array( 'body > #page' ),
            'default'  => array(
                'margin'        => '',
                'border'            => '0px',
                'border-color'      => '#4c3cff',
                'border-style'      => 'solid',
            ),
            'options'  => array(
                'margin_enabled'  => true,
                'border_enabled'  => true,
                'radius_enabled'  => true,
                'padding_enabled' => true,
                'radius_enabled'  => true,
                'color_enabled'   => true,
                'style_enabled'   => true,
            )
        ),
        array(
            'id'        => 'body_boxed_background_color',
            'type'      => 'color_rgba',
            'title'     => __('Background Color', 'allcom'),
            'subtitle'  => __('Set color and alpha channel', 'allcom'),
            'required'  => array('body_boxed_or_stretched','equals','container p-0'),
            'output'    => array('background-color' => 'body'),
            ),
        array(         
            'id'       => 'body_boxed_background_image',
            'type'     => 'background',
            'background-color' => false,
            'title'    => __('Background Image', 'allcom'),
            'subtitle' => __('Background with image', 'allcom'),
            'output'   => array('html'),
            'required' => array('body_boxed_or_stretched','equals','container p-0'),
        ),
        array(         
            'id'      => 'box-shadow',
            'type'    => 'box_shadow',
            'title'   => __('Box Shadow', 'allcom'),
            'units'   => array( 'px', 'em', 'rem' ),
            'output'  => ( 'body > #page' ),
            'opacity' => true,
            'rgba'    => true,
            'default' => array (
                'horizontal'   => '', // can be negative value
                'vertical'     => '', // can be negative value
                'blur'         => '',
                'spread'       => '',
                'opacity'      => '',
                'shadow-color' => '',
                'shadow-type'  => '', // 'inset' or 'outside'
                'units'        => '',
            ),
        ),
        array(
            'id'        => 'layout-mobile',
            'type'      => 'accordion',
            'title'     => 'Mobile Layout',
            'subtitle'  => 'For General use.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'mobile_body_layout',
                'type'     => 'css_layout',
                'title'    => __( 'Layout', 'allcom' ),
                'desc'     => '<br>Accetped units values are: %, px, in, cm, mm, em, rem, ex, pt, pc',
                'output'   => array( 'body.mobile-device > #page' ),
                'default'  => array(
                    'margin-top'        => '',
                    'margin-bottom'     => '',
                    'border'            => '',
                    'border-color'      => '',
                    'border-style'      => 'solid',
                ),
                'options'  => array(
                    'margin_enabled'  => true,
                    'border_enabled'  => true,
                    'radius_enabled'  => true,
                    'padding_enabled' => true,
                    'radius_enabled'  => true,
                    'color_enabled'   => true,
                    'style_enabled'   => true,
                )
            ),
            array(         
                'id'      => 'mobile_body_box_shadow',
                'type'    => 'box_shadow',
                'title'   => __('Box Shadow', 'allcom'),
                'units'   => array( 'px', 'em', 'rem' ),
                'output'  => ( 'body.mobile-device > #page' ),
                'opacity' => true,
                'rgba'    => true,
                'default' => array (
                    'horizontal'   => '', // can be negative value
                    'vertical'     => '', // can be negative value
                    'blur'         => '',
                    'spread'       => '',
                    'opacity'      => '',
                    'shadow-color' => '',
                    'shadow-type'  => '', // 'inset' or 'outside'
                    'units'        => '',
                ),
            ),
        array(
            'id'        => 'layout-mobile-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
    ),
));
Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-header',
    'title'     => __('Header', 'allcom'),
    'subsection' => true,
    'fields'    => array(
        array(
            'id'        => 'header_boxed_or_stretched',
            'type'      => 'image_select',
            'title'     => __('Boxed or Stretched Style', 'allcom'),
            'subtitle'  => __('Choose the format that works best for you.', 'allcom'),
            'options'   => array(
                'container' => array('alt' => 'Boxed', 'img' => $ReduxFrameworkAssets . 'boxed.png'),
                'container-fluid' => array('alt' => 'Stretched', 'img' => $ReduxFrameworkAssets . 'stretched.png')
            ),
            'default'   => 'container'
        ),
        array(
            'id'       => 'header_levels',
            'type'     => 'button_set',
            'title'    => __('Header Layers', 'allcom'),
            'subtitle' => __('Enable or disable', 'allcom'),
            'multi'    => true,
            'options' => array(
                'top' => 'Top Header',
                'main' => 'Main Header', 
                'bottom' => 'Bottom Header',
                'mobile' => 'Mobile Header', 
            ), 
            'default' => array('main')
        ),
    ),
));
Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-top-header',
    'title'     => __('Top Header', 'allcom'),
    'subsection' => true,
    'fields'    => array(
        array(
            'id'       => 'top_header_show',
            'type'     => 'button_set',
            'title'    => __('Show Top Header', 'allcom'),
            'desc' => __('Choose which devices will appear on.', 'allcom'),
            'multi'    => true,
            'options' => array(
                '1' => 'Mobile Devices', 
                '2' => 'Tablet Devices', 
                '3' => 'Desktop Devices', 
            ), 
            'default' => array('2', '3'),
        ),
        array(
            'id'        => 'top-layout-toggle-accordion',
            'type'      => 'accordion',
            'title'     => 'Mobile Toggle',
            'subtitle'  => 'Toggle Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'top_hamburger_type',
                'type'     => 'select',
                'title'    => __('Hamburger Type', 'allcom'), 
                'desc'     => __('Here’s the list of hamburger type you can choose from.', 'allcom'),
                'options'  => array(
                    '3dx' => '3DX',
                    '3dy' => '3DY',
                    '3dxy' => '3DXY',
                    'boring' => 'Boring',
                    'collapse' => 'Collapse',
                    'elastic' => 'Elastic',
                    'emphatic' => 'Emphatic',
                    'minus' => 'Minus',
                    'slider' => 'Slider',
                    'spin' => 'Spin',
                    'spring' => 'Spring',
                    'stand' => 'Stand',
                    'squeeze' => 'Squeeze',
                    'vortex' => 'Vortex',
                ),
                'default'  => 'spin',
            ),
            array(
                'id'       => 'top_hamburger_reverse_animation',
                'type'     => 'switch', 
                'title'    => __('Hamburger Reverse Animation', 'allcom'),
                'desc' => __('On for counterclockwise animation. Default is clockwise animation.<br>Boring, Minus and Squeeze Hamburger Type don\'t have counterclockwise animation.', 'allcom'),
                'required' => array( 
                    array('top_hamburger_type','!=','boring'), 
                    array('top_hamburger_type','!=','minus'), 
                    array('top_hamburger_type','!=','squeeze'), 
                ),
                'default'  => false,
            ),
            array(
                'id'       => 'top_show_hamburger',
                'type'     => 'button_set',
                'title'    => __('Show Hamburger', 'allcom'),
                'desc' => __('Choose which devices the hamburger will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2'),
            ),
        array(
            'id'        => 'top-layout-toggle-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'top-layout-search-accordion',
            'type'      => 'accordion',
            'title'     => 'Search',
            'subtitle'  => 'Search Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'top_search_layout',
                'type'     => 'button_set',
                'title'    => __('Search Layout', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    '1' => 'Expanded', 
                    '2' => 'Dropdown',
                    '3' => 'Modal', 
                ), 
                'default' => '1'
            ),
            array(
                'id'       => 'top_search_button',
                'type'     => 'button_set',
                'title'    => __('Search Button', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    '1' => 'No Button', 
                    '2' => 'Left Button',
                    '3' => 'Right Button', 
                ), 
                'default' => '3'
            ),
            array(
                'id'       => 'top_show_search',
                'type'     => 'button_set',
                'title'    => __('Show Search', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2', '3'),
            ),
            array(
                'id'       => 'top_search_width',
                'type'     => 'dimensions',
                'units'    => array('%','px'),
                'title'    => __('Search Input Width', 'allcom'),
                'subtitle' => __('Input a Value', 'allcom'),
                'required'  => array('top_search_layout', 'equals', '1'),
                'height'   => false,
                'output'    => array('width' => '.header__search--top')
            ),
            array(
                'id'       => 'top_search_placeholder_text',
                'type'     => 'text',
                'title'    => __('Placeholder Text', 'allcom'),
                'desc'     => __('Change placeholder text.', 'allcom'),
                'validate' => 'no_html',
                'default' => '',
            ),
            array(
                'id'       => 'top_search_button_text',
                'type'     => 'text',
                'title'    => __('Button Text', 'allcom'),
                'desc'     => __('Change buton text.', 'allcom'),
                'validate' => 'no_html',
                'default' => '',
            ),
        array(
            'id'        => 'top-layout-search-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'top-layout-logo-single-navigation-accordion',
            'type'      => 'accordion',
            'title'     => 'Logo And Single Navigation',
            'subtitle'  => 'Layout Logo and Single Navigation Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'top_lsn_menu',
                'type'     => 'select',
                'title'    => __('Single Navigation', 'allcom'), 
                'desc' => __('Select a menu for "Logo / Nav" Layout Manager item.', 'allcom'),
                'data' => 'menu_location',
            ),
            array(
                'id'       => 'top_lsn_logo',
                'type'     => 'select',
                'title'    => __('Logo And Navigation Layout', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'lsn--start'         => 'Start', 
                    'lsn--center'        => 'Center', 
                    'lsn--center-top'    => 'Logo Center Top', 
                    'lsn--center-bottom' => 'Logo Center Bottom',  
                ), 
                'default' => 'lsn--start'
            ),
            array(
                'id'       => 'top_adaptive_lsn_navigation',
                'type'     => 'button_set',
                'title'    => __('Adaptive Navigation', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'expanded-navigation'             => 'Expanded', 
                    'progressive-collapse-navigation' => 'Progressive Collapse',
                ), 
                'default' => 'expanded-navigation'
            ),
            array(
                'id'       => 'top_show_lsn_logo',
                'type'     => 'button_set',
                'title'    => __('Show Logo', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2', '3'),
            ),
            array(
                'id'       => 'top_show_lsn_menu',
                'type'     => 'button_set',
                'title'    => __('Show Navigation', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2', '3'),
            ),
            array(
                'id'       => 'top_adaptive_lsn_navigation_items_position',
                'type'     => 'button_set',
                'title'    => __('Navigation Items Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'header__navigation--justify-items-start'   => 'Start', 
                    'header__navigation--justify-items-end'     => 'End',
                    'header__navigation--justify-items-center'  => 'Center', 
                    'header__navigation--justify-items-between' => 'Space Between', 
                    'header__navigation--justify-items-around'  => 'Space Around',
                    'header__navigation--justify-items-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'header__navigation--justify-items-end'
            ),
        array(
            'id'        => 'top-layout-logo-single-navigation-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'top-layout-sn-accordion',
            'type'      => 'accordion',
            'title'     => 'Logo And Dual Navigation',
            'subtitle'  => 'Layout Logo and Dual Navigation Configs.',
            'position'  => 'start',
        ),  
            array(
                'id'       => 'top_left_navigation_menu',
                'type'     => 'select',
                'title'    => __('Left Navigation', 'allcom'), 
                'desc' => __('Select a menu for "Logo / Split Nav" Layout Manager item.', 'allcom'),
                'data' => 'menu_location',
            ),
            array(
                'id'       => 'top_right_navigation_menu',
                'type'     => 'select',
                'title'    => __('Right Navigation', 'allcom'), 
                'desc' => __('Select a menu for "Logo / Split Nav" Layout Manager item.', 'allcom'),
                'data' => 'menu_location',
            ),
            array(
                'id'       => 'top_split_navigation_logo',
                'type'     => 'select',
                'title'    => __('Logo And Split Navigation Layout', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'logo-split-navigation--center'        => 'Center',  
                    'logo-split-navigation--between'       => 'Space Between', 
                    'logo-split-navigation--around'        => 'Space Around',
                    'logo-split-navigation--evenly'        => 'Space Evenly', 
                ), 
                'default' => 'logo-split-navigation--center'
            ),
            array(
                'id'       => 'top_adaptive_sn_navigation',
                'type'     => 'button_set',
                'title'    => __('Adaptive Navigation', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'expanded-navigation'             => 'Expanded', 
                    'progressive-collapse-navigation' => 'Progressive Collapse',
                ), 
                'default' => 'expanded-navigation'
            ),
            array(
                'id'       => 'top_show_sn_logo',
                'type'     => 'button_set',
                'title'    => __('Show Logo', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2', '3'),
            ),
            array(
                'id'       => 'top_show_sn_menus',
                'type'     => 'button_set',
                'title'    => __('Show Navigation', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2', '3'),
            ),
        array(
            'id'        => 'top-layout-sn-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'top-layout-primary-navigation-accordion',
            'type'      => 'accordion',
            'title'     => 'Primary Navigation',
            'subtitle'  => 'Layout Navigation Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'top_adaptive_primary_navigation',
                'type'     => 'button_set',
                'title'    => __('Adaptive Navigation', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'expanded-navigation'             => 'Expanded', 
                    'progressive-collapse-navigation' => 'Progressive Collapse',
                ), 
                'default' => 'expanded-navigation'
            ),
            array(
                'id'       => 'top_show_primary_navigation',
                'type'     => 'button_set',
                'title'    => __('Show Navigation', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('2', '3'),
            ),
            array(
                'id'       => 'top_primary_navigation_items_position',
                'type'     => 'button_set',
                'title'    => __('Navigation Items Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'header__navigation--justify-items-start'   => 'Start', 
                    'header__navigation--justify-items-end'     => 'End',
                    'header__navigation--justify-items-center'  => 'Center', 
                    'header__navigation--justify-items-between' => 'Space Between', 
                    'header__navigation--justify-items-around'  => 'Space Around',
                    'header__navigation--justify-items-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'header__navigation--justify-items-end'
            ),
        array(
            'id'        => 'top-layout-primary-navigation-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'top-layout-secondary-navigation-accordion',
            'type'      => 'accordion',
            'title'     => 'Secondary Navigation',
            'subtitle'  => 'Layout Navigation Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'top_adaptive_secondary_navigation',
                'type'     => 'button_set',
                'title'    => __('Adaptive Navigation', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'expanded-navigation'             => 'Expanded', 
                    'progressive-collapse-navigation' => 'Progressive Collapse',
                ), 
                'default' => 'expanded-navigation'
            ),
            array(
                'id'       => 'top_show_secondary_navigation',
                'type'     => 'button_set',
                'title'    => __('Show Navigation', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('2', '3'),
            ),
            array(
                'id'       => 'top_secondary_navigation_items_position',
                'type'     => 'button_set',
                'title'    => __('Navigation Items Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'header__navigation--justify-items-start'   => 'Start', 
                    'header__navigation--justify-items-end'     => 'End',
                    'header__navigation--justify-items-center'  => 'Center', 
                    'header__navigation--justify-items-between' => 'Space Between', 
                    'header__navigation--justify-items-around'  => 'Space Around',
                    'header__navigation--justify-items-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'header__navigation--justify-items-end'
            ),
        array(
            'id'        => 'top-layout-secondary-navigation-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'top-layout-tertiary-navigation-accordion',
            'type'      => 'accordion',
            'title'     => 'Tertiary Navigation',
            'subtitle'  => 'Layout Navigation Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'top_adaptive_tertiary_navigation',
                'type'     => 'button_set',
                'title'    => __('Adaptive Navigation', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'expanded-navigation'             => 'Expanded', 
                    'progressive-collapse-navigation' => 'Progressive Collapse',
                ), 
                'default' => 'expanded-navigation'
            ),
            array(
                'id'       => 'top_show_tertiary_navigation',
                'type'     => 'button_set',
                'title'    => __('Show Navigation', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('2', '3'),
            ),
            array(
                'id'       => 'top_tertiary_navigation_items_position',
                'type'     => 'button_set',
                'title'    => __('Navigation Items Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'header__navigation--justify-items-start'   => 'Start', 
                    'header__navigation--justify-items-end'     => 'End',
                    'header__navigation--justify-items-center'  => 'Center', 
                    'header__navigation--justify-items-between' => 'Space Between', 
                    'header__navigation--justify-items-around'  => 'Space Around',
                    'header__navigation--justify-items-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'header__navigation--justify-items-end'
            ),
        array(
            'id'        => 'top-layout-tertiary-navigation-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'top-header-layout-manager-accordion',
            'type'      => 'accordion',
            'title'     => 'Header Layout Manager',
            'subtitle'  => 'Header Configs.',
            'position'  => 'start',
            'open'     => true
        ),
            array(
                'id'       => 'top_header_layout_fit_content',
                'type'     => 'button_set',
                'title'    => __('Header Layout Fit Content', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'top-header-layout-no-fit-content' => 'No',
                    'top-header-layout-fit-content-left-auto' => 'Left', 
                    'top-header-layout-fit-content-center-auto' => 'Center', 
                    'top-header-layout-fit-content-right-auto' => 'Right', 
                ), 
                'default' => 'top-header-layout-no-fit-content',
            ),
            array(
                'id'       => 'top_header_left_content_position',
                'type'     => 'button_set',
                'title'    => __('Header Left Content Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'justify-start'   => 'Start', 
                    'justify-end'     => 'End',
                    'justify-center'  => 'Center', 
                    'justify-between' => 'Space Between', 
                    'justify-around'  => 'Space Around',
                    'justify-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'justify-start'
            ),
            array(
                'id'       => 'top_header_center_content_position',
                'type'     => 'button_set',
                'title'    => __('Header Center Content Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'justify-start'   => 'Start', 
                    'justify-end'     => 'End',
                    'justify-center'  => 'Center', 
                    'justify-between' => 'Space Between', 
                    'justify-around'  => 'Space Around',
                    'justify-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'justify-center'
            ),
            array(
                'id'       => 'top_header_right_content_position',
                'type'     => 'button_set',
                'title'    => __('Header Right Content Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'justify-start'   => 'Start', 
                    'justify-end'     => 'End',
                    'justify-center'  => 'Center', 
                    'justify-between' => 'Space Between', 
                    'justify-around'  => 'Space Around',
                    'justify-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'justify-end'
            ),
            array(
                'id'      => 'top_header_layout',
                'type'    => 'sorter',
                'title'   => 'Header Layout Manager',
                'desc'    => 'Organize how you want the header to appear',
                'options' => array(
                    'disabled' => array(
                        'cart' => 'Cart',
                        'logo_nav' => 'Logo / Nav',
                        'logo_split_nav' => 'Logo / Split Nav',
                        'secondary_nav' => 'Secondary Nav',
                        'tertiary_nav' => 'Tertiary Nav',
                        'first_widget' => 'First Widget',
                        'second_widget' => 'Second Widget',
                        'third_widget' => 'Third Widget',
                        'fourth_widget' => 'Fourth Widget',
                        'fifth_widget' => 'Fifth Widget',
                        'sixth_widget' => 'Sixth Widget',
                    ),
                    'left'  => array(
                        'logo' => 'Logo',
                    ),
                    'center'  => array(
                        'primary_nav' => 'Primary Nav',
                    ),
                    'right'  => array(
                        'search' => 'Search',
                        'toggle' => 'Toggle Navigation',
                    ),
                ),
            ),
        array(
            'id'        => 'top-header-layout-manager-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
    ),
));
Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-main-header',
    'title'     => __('Main Header', 'allcom'),
    'subsection' => true,
    'fields'    => array(
        array(
            'id'       => 'main_header_show',
            'type'     => 'button_set',
            'title'    => __('Show Main Header', 'allcom'),
            'desc' => __('Choose which devices will appear on.', 'allcom'),
            'multi'    => true,
            'options' => array(
                '1' => 'Mobile Devices', 
                '2' => 'Tablet Devices', 
                '3' => 'Desktop Devices', 
            ), 
            'default' => array('2', '3'),
        ),
        array(
            'id'        => 'main-layout-toggle-accordion',
            'type'      => 'accordion',
            'title'     => 'Mobile Toggle',
            'subtitle'  => 'Toggle Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'main_hamburger_type',
                'type'     => 'select',
                'title'    => __('Hamburger Type', 'allcom'), 
                'desc'     => __('Here’s the list of hamburger type you can choose from.', 'allcom'),
                'options'  => array(
                    '3dx' => '3DX',
                    '3dy' => '3DY',
                    '3dxy' => '3DXY',
                    'boring' => 'Boring',
                    'collapse' => 'Collapse',
                    'elastic' => 'Elastic',
                    'emphatic' => 'Emphatic',
                    'minus' => 'Minus',
                    'slider' => 'Slider',
                    'spin' => 'Spin',
                    'spring' => 'Spring',
                    'stand' => 'Stand',
                    'squeeze' => 'Squeeze',
                    'vortex' => 'Vortex',
                ),
                'default'  => 'spin',
            ),
            array(
                'id'       => 'main_hamburger_reverse_animation',
                'type'     => 'switch', 
                'title'    => __('Hamburger Reverse Animation', 'allcom'),
                'desc' => __('On for counterclockwise animation. Default is clockwise animation.<br>Boring, Minus and Squeeze Hamburger Type don\'t have counterclockwise animation.', 'allcom'),
                'required' => array( 
                    array('main_hamburger_type','!=','boring'), 
                    array('main_hamburger_type','!=','minus'), 
                    array('main_hamburger_type','!=','squeeze'), 
                ),
                'default'  => false,
            ),
            array(
                'id'       => 'main_show_hamburger',
                'type'     => 'button_set',
                'title'    => __('Show Hamburger', 'allcom'),
                'desc' => __('Choose which devices the hamburger will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2'),
            ),
        array(
            'id'        => 'main-layout-toggle-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'main-layout-search-accordion',
            'type'      => 'accordion',
            'title'     => 'Search',
            'subtitle'  => 'Search Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'main_search_layout',
                'type'     => 'button_set',
                'title'    => __('Search Layout', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    '1' => 'Expanded', 
                    '2' => 'Dropdown',
                    '3' => 'Modal', 
                ), 
                'default' => '1'
            ),
            array(
                'id'       => 'main_search_button',
                'type'     => 'button_set',
                'title'    => __('Search Button', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    '1' => 'No Button', 
                    '2' => 'Left Button',
                    '3' => 'Right Button', 
                ), 
                'default' => '3'
            ),
            array(
                'id'       => 'main_show_search',
                'type'     => 'button_set',
                'title'    => __('Show Search', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2', '3'),
            ),
            array(
                'id'       => 'main_search_width',
                'type'     => 'dimensions',
                'units'    => array('%','px'),
                'title'    => __('Search Input Width', 'allcom'),
                'subtitle' => __('Input a Value', 'allcom'),
                'required'  => array('main_search_layout', 'equals', '1'),
                'height'   => false,
                'output'    => array('width' => '.header__search--main')
            ),
            array(
                'id'       => 'main_search_placeholder_text',
                'type'     => 'text',
                'title'    => __('Placeholder Text', 'allcom'),
                'desc'     => __('Change placeholder text.', 'allcom'),
                'validate' => 'no_html',
                'default' => '',
            ),
            array(
                'id'       => 'main_search_button_text',
                'type'     => 'text',
                'title'    => __('Button Text', 'allcom'),
                'desc'     => __('Change buton text.', 'allcom'),
                'validate' => 'no_html',
                'default' => '',
            ),
        array(
            'id'        => 'main-layout-search-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'main-layout-logo-single-navigation-accordion',
            'type'      => 'accordion',
            'title'     => 'Logo And Single Navigation',
            'subtitle'  => 'Layout Logo and Single Navigation Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'main_lsn_menu',
                'type'     => 'select',
                'title'    => __('Single Navigation', 'allcom'), 
                'desc' => __('Select a menu for "Logo / Nav" Layout Manager item.', 'allcom'),
                'data' => 'menu_location',
            ),
            array(
                'id'       => 'main_lsn_logo',
                'type'     => 'select',
                'title'    => __('Logo And Navigation Layout', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'lsn--start'         => 'Start', 
                    'lsn--center'        => 'Center', 
                    'lsn--center-top'    => 'Logo Center Top', 
                    'lsn--center-bottom' => 'Logo Center Bottom',  
                ), 
                'default' => 'lsn--start'
            ),
            array(
                'id'       => 'main_adaptive_lsn_navigation',
                'type'     => 'button_set',
                'title'    => __('Adaptive Navigation', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'expanded-navigation'             => 'Expanded', 
                    'progressive-collapse-navigation' => 'Progressive Collapse',
                ), 
                'default' => 'expanded-navigation'
            ),
            array(
                'id'       => 'main_show_lsn_logo',
                'type'     => 'button_set',
                'title'    => __('Show Logo', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2', '3'),
            ),
            array(
                'id'       => 'main_show_lsn_menu',
                'type'     => 'button_set',
                'title'    => __('Show Navigation', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2', '3'),
            ),
            array(
                'id'       => 'main_adaptive_lsn_navigation_items_position',
                'type'     => 'button_set',
                'title'    => __('Navigation Items Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'header__navigation--justify-items-start'   => 'Start', 
                    'header__navigation--justify-items-end'     => 'End',
                    'header__navigation--justify-items-center'  => 'Center', 
                    'header__navigation--justify-items-between' => 'Space Between', 
                    'header__navigation--justify-items-around'  => 'Space Around',
                    'header__navigation--justify-items-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'header__navigation--justify-items-end'
            ),
        array(
            'id'        => 'main-layout-logo-single-navigation-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'main-layout-sn-accordion',
            'type'      => 'accordion',
            'title'     => 'Logo And Dual Navigation',
            'subtitle'  => 'Layout Logo and Dual Navigation Configs.',
            'position'  => 'start',
        ),  
            array(
                'id'       => 'main_left_navigation_menu',
                'type'     => 'select',
                'title'    => __('Left Navigation', 'allcom'), 
                'desc' => __('Select a menu for "Logo / Split Nav" Layout Manager item.', 'allcom'),
                'data' => 'menu_location',
            ),
            array(
                'id'       => 'main_right_navigation_menu',
                'type'     => 'select',
                'title'    => __('Right Navigation', 'allcom'), 
                'desc' => __('Select a menu for "Logo / Split Nav" Layout Manager item.', 'allcom'),
                'data' => 'menu_location',
            ),
            array(
                'id'       => 'main_split_navigation_logo',
                'type'     => 'select',
                'title'    => __('Logo And Split Navigation Layout', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'logo-split-navigation--center'        => 'Center',  
                    'logo-split-navigation--between'       => 'Space Between', 
                    'logo-split-navigation--around'        => 'Space Around',
                    'logo-split-navigation--evenly'        => 'Space Evenly', 
                ), 
                'default' => 'logo-split-navigation--center'
            ),
            array(
                'id'       => 'main_adaptive_sn_navigation',
                'type'     => 'button_set',
                'title'    => __('Adaptive Navigation', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'expanded-navigation'             => 'Expanded', 
                    'progressive-collapse-navigation' => 'Progressive Collapse',
                ), 
                'default' => 'expanded-navigation'
            ),
            array(
                'id'       => 'main_show_sn_logo',
                'type'     => 'button_set',
                'title'    => __('Show Logo', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2', '3'),
            ),
            array(
                'id'       => 'main_show_sn_menus',
                'type'     => 'button_set',
                'title'    => __('Show Navigation', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2', '3'),
            ),
        array(
            'id'        => 'main-layout-sn-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'main-layout-primary-navigation-accordion',
            'type'      => 'accordion',
            'title'     => 'Primary Navigation',
            'subtitle'  => 'Layout Navigation Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'main_adaptive_primary_navigation',
                'type'     => 'button_set',
                'title'    => __('Adaptive Navigation', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'expanded-navigation'             => 'Expanded', 
                    'progressive-collapse-navigation' => 'Progressive Collapse',
                ), 
                'default' => 'expanded-navigation'
            ),
            array(
                'id'       => 'main_show_primary_navigation',
                'type'     => 'button_set',
                'title'    => __('Show Navigation', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('2', '3'),
            ),
            array(
                'id'       => 'main_primary_navigation_items_position',
                'type'     => 'button_set',
                'title'    => __('Navigation Items Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'header__navigation--justify-items-start'   => 'Start', 
                    'header__navigation--justify-items-end'     => 'End',
                    'header__navigation--justify-items-center'  => 'Center', 
                    'header__navigation--justify-items-between' => 'Space Between', 
                    'header__navigation--justify-items-around'  => 'Space Around',
                    'header__navigation--justify-items-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'header__navigation--justify-items-end'
            ),
        array(
            'id'        => 'main-layout-primary-navigation-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'main-layout-secondary-navigation-accordion',
            'type'      => 'accordion',
            'title'     => 'Secondary Navigation',
            'subtitle'  => 'Layout Navigation Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'main_adaptive_secondary_navigation',
                'type'     => 'button_set',
                'title'    => __('Adaptive Navigation', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'expanded-navigation'             => 'Expanded', 
                    'progressive-collapse-navigation' => 'Progressive Collapse',
                ), 
                'default' => 'expanded-navigation'
            ),
            array(
                'id'       => 'main_show_secondary_navigation',
                'type'     => 'button_set',
                'title'    => __('Show Navigation', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('2', '3'),
            ),
            array(
                'id'       => 'main_secondary_navigation_items_position',
                'type'     => 'button_set',
                'title'    => __('Navigation Items Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'header__navigation--justify-items-start'   => 'Start', 
                    'header__navigation--justify-items-end'     => 'End',
                    'header__navigation--justify-items-center'  => 'Center', 
                    'header__navigation--justify-items-between' => 'Space Between', 
                    'header__navigation--justify-items-around'  => 'Space Around',
                    'header__navigation--justify-items-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'header__navigation--justify-items-end'
            ),
        array(
            'id'        => 'main-layout-secondary-navigation-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'main-layout-tertiary-navigation-accordion',
            'type'      => 'accordion',
            'title'     => 'Tertiary Navigation',
            'subtitle'  => 'Layout Navigation Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'main_adaptive_tertiary_navigation',
                'type'     => 'button_set',
                'title'    => __('Adaptive Navigation', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'expanded-navigation'             => 'Expanded', 
                    'progressive-collapse-navigation' => 'Progressive Collapse',
                ), 
                'default' => 'expanded-navigation'
            ),
            array(
                'id'       => 'main_show_tertiary_navigation',
                'type'     => 'button_set',
                'title'    => __('Show Navigation', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('2', '3'),
            ),
            array(
                'id'       => 'main_tertiary_navigation_items_position',
                'type'     => 'button_set',
                'title'    => __('Navigation Items Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'header__navigation--justify-items-start'   => 'Start', 
                    'header__navigation--justify-items-end'     => 'End',
                    'header__navigation--justify-items-center'  => 'Center', 
                    'header__navigation--justify-items-between' => 'Space Between', 
                    'header__navigation--justify-items-around'  => 'Space Around',
                    'header__navigation--justify-items-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'header__navigation--justify-items-end'
            ),
        array(
            'id'        => 'main-layout-tertiary-navigation-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'main-header-layout-manager-accordion',
            'type'      => 'accordion',
            'title'     => 'Header Layout Manager',
            'subtitle'  => 'Header Configs.',
            'position'  => 'start',
            'open'     => true,
        ),
            array(
                'id'       => 'main_header_layout_fit_content',
                'type'     => 'button_set',
                'title'    => __('Header Layout Fit Content', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'main-header-layout-no-fit-content' => 'No',
                    'main-header-layout-fit-content-left-auto' => 'Left', 
                    'main-header-layout-fit-content-center-auto' => 'Center', 
                    'main-header-layout-fit-content-right-auto' => 'Right', 
                ), 
                'default' => 'main-header-layout-no-fit-content',
            ),
            array(
                'id'       => 'main_header_left_content_position',
                'type'     => 'button_set',
                'title'    => __('Header Left Content Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'justify-start'   => 'Start', 
                    'justify-end'     => 'End',
                    'justify-center'  => 'Center', 
                    'justify-between' => 'Space Between', 
                    'justify-around'  => 'Space Around',
                    'justify-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'justify-start'
            ),
            array(
                'id'       => 'main_header_center_content_position',
                'type'     => 'button_set',
                'title'    => __('Header Center Content Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'justify-start'   => 'Start', 
                    'justify-end'     => 'End',
                    'justify-center'  => 'Center', 
                    'justify-between' => 'Space Between', 
                    'justify-around'  => 'Space Around',
                    'justify-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'justify-center'
            ),
            array(
                'id'       => 'main_header_right_content_position',
                'type'     => 'button_set',
                'title'    => __('Header Right Content Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'justify-start'   => 'Start', 
                    'justify-end'     => 'End',
                    'justify-center'  => 'Center', 
                    'justify-between' => 'Space Between', 
                    'justify-around'  => 'Space Around',
                    'justify-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'justify-end'
            ),
            array(
                'id'      => 'main_header_layout',
                'type'    => 'sorter',
                'title'   => 'Header Layout Manager',
                'desc'    => 'Organize how you want the header to appear',
                'options' => array(
                    'disabled' => array(
                        'logo_nav' => 'Logo / Nav',
                        'logo_split_nav' => 'Logo / Split Nav',
                        'cart' => 'Cart',
                        'secondary_nav' => 'Secondary Nav',
                        'tertiary_nav' => 'Tertiary Nav',
                        'first_widget' => 'First Widget',
                        'second_widget' => 'Second Widget',
                        'third_widget' => 'Third Widget',
                        'fourth_widget' => 'Fourth Widget',
                        'fifth_widget' => 'Fifth Widget',
                        'sixth_widget' => 'Sixth Widget',
                    ),
                    'left'  => array(
                        'logo' => 'Logo',
                    ),
                    'center'  => array(
                        'primary_nav' => 'Primary Nav',
                    ),
                    'right'  => array(
                        'search' => 'Search',
                        'toggle' => 'Toggle Navigation',
                    ),
                ),
            ),
        array(
            'id'        => 'main-header-layout-manager-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
    ),
));
Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-bottom-header',
    'title'     => __('Bottom Header', 'allcom'),
    'subsection' => true,
    'fields'    => array(
        array(
            'id'       => 'bottom_header_show',
            'type'     => 'button_set',
            'title'    => __('Show Bottom Header', 'allcom'),
            'desc' => __('Choose which devices will appear on.', 'allcom'),
            'multi'    => true,
            'options' => array(
                '1' => 'Mobile Devices', 
                '2' => 'Tablet Devices', 
                '3' => 'Desktop Devices', 
            ), 
            'default' => array('2', '3'),
        ),
        array(
            'id'        => 'bottom-layout-toggle-accordion',
            'type'      => 'accordion',
            'title'     => 'Mobile Toggle',
            'subtitle'  => 'Toggle Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'bottom_hamburger_type',
                'type'     => 'select',
                'title'    => __('Hamburger Type', 'allcom'), 
                'desc'     => __('Here’s the list of hamburger type you can choose from.', 'allcom'),
                'options'  => array(
                    '3dx' => '3DX',
                    '3dy' => '3DY',
                    '3dxy' => '3DXY',
                    'boring' => 'Boring',
                    'collapse' => 'Collapse',
                    'elastic' => 'Elastic',
                    'emphatic' => 'Emphatic',
                    'minus' => 'Minus',
                    'slider' => 'Slider',
                    'spin' => 'Spin',
                    'spring' => 'Spring',
                    'stand' => 'Stand',
                    'squeeze' => 'Squeeze',
                    'vortex' => 'Vortex',
                ),
                'default'  => 'spin',
            ),
            array(
                'id'       => 'bottom_hamburger_reverse_animation',
                'type'     => 'switch', 
                'title'    => __('Hamburger Reverse Animation', 'allcom'),
                'desc' => __('On for counterclockwise animation. Default is clockwise animation.<br>Boring, Minus and Squeeze Hamburger Type don\'t have counterclockwise animation.', 'allcom'),
                'required' => array( 
                    array('bottom_hamburger_type','!=','boring'), 
                    array('bottom_hamburger_type','!=','minus'), 
                    array('bottom_hamburger_type','!=','squeeze'), 
                ),
                'default'  => false,
            ),
            array(
                'id'       => 'bottom_show_hamburger',
                'type'     => 'button_set',
                'title'    => __('Show Hamburger', 'allcom'),
                'desc' => __('Choose which devices the hamburger will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2'),
            ),
        array(
            'id'        => 'bottom-layout-toggle-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'bottom-layout-search-accordion',
            'type'      => 'accordion',
            'title'     => 'Search',
            'subtitle'  => 'Search Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'bottom_search_layout',
                'type'     => 'button_set',
                'title'    => __('Search Layout', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    '1' => 'Expanded', 
                    '2' => 'Dropdown',
                    '3' => 'Modal', 
                ), 
                'default' => '1'
            ),
            array(
                'id'       => 'bottom_search_button',
                'type'     => 'button_set',
                'title'    => __('Search Button', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    '1' => 'No Button', 
                    '2' => 'Left Button',
                    '3' => 'Right Button', 
                ), 
                'default' => '3'
            ),
            array(
                'id'       => 'bottom_show_search',
                'type'     => 'button_set',
                'title'    => __('Show Search', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2', '3'),
            ),
            array(
                'id'       => 'bottom_search_width',
                'type'     => 'dimensions',
                'units'    => array('%','px'),
                'title'    => __('Search Input Width', 'allcom'),
                'subtitle' => __('Input a Value', 'allcom'),
                'required'  => array('bottom_search_layout', 'equals', '1'),
                'height'   => false,
                'output'    => array('width' => '.header__search--bottom')
            ),
            array(
                'id'       => 'bottom_search_placeholder_text',
                'type'     => 'text',
                'title'    => __('Placeholder Text', 'allcom'),
                'desc'     => __('Change placeholder text.', 'allcom'),
                'validate' => 'no_html',
                'default' => '',
            ),
            array(
                'id'       => 'bottom_search_button_text',
                'type'     => 'text',
                'title'    => __('Button Text', 'allcom'),
                'desc'     => __('Change buton text.', 'allcom'),
                'validate' => 'no_html',
                'default' => '',
            ),
        array(
            'id'        => 'bottom-layout-search-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'bottom-layout-logo-single-navigation-accordion',
            'type'      => 'accordion',
            'title'     => 'Logo And Single Navigation',
            'subtitle'  => 'Layout Logo and Single Navigation Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'bottom_lsn_menu',
                'type'     => 'select',
                'title'    => __('Single Navigation', 'allcom'), 
                'desc' => __('Select a menu for "Logo / Nav" Layout Manager item.', 'allcom'),
                'data' => 'menu_location',
            ),
            array(
                'id'       => 'bottom_lsn_logo',
                'type'     => 'select',
                'title'    => __('Logo And Navigation Layout', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'lsn--start'         => 'Start', 
                    'lsn--center'        => 'Center', 
                    'lsn--center-top'    => 'Logo Center Top', 
                    'lsn--center-bottom' => 'Logo Center Bottom',  
                ), 
                'default' => 'lsn--start'
            ),
            array(
                'id'       => 'bottom_adaptive_lsn_navigation',
                'type'     => 'button_set',
                'title'    => __('Adaptive Navigation', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'expanded-navigation'             => 'Expanded', 
                    'progressive-collapse-navigation' => 'Progressive Collapse',
                ), 
                'default' => 'expanded-navigation'
            ),
            array(
                'id'       => 'bottom_show_lsn_logo',
                'type'     => 'button_set',
                'title'    => __('Show Logo', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2', '3'),
            ),
            array(
                'id'       => 'bottom_show_lsn_menu',
                'type'     => 'button_set',
                'title'    => __('Show Navigation', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2', '3'),
            ),
            array(
                'id'       => 'bottom_adaptive_lsn_navigation_items_position',
                'type'     => 'button_set',
                'title'    => __('Navigation Items Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'header__navigation--justify-items-start'   => 'Start', 
                    'header__navigation--justify-items-end'     => 'End',
                    'header__navigation--justify-items-center'  => 'Center', 
                    'header__navigation--justify-items-between' => 'Space Between', 
                    'header__navigation--justify-items-around'  => 'Space Around',
                    'header__navigation--justify-items-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'header__navigation--justify-items-end'
            ),
        array(
            'id'        => 'bottom-layout-logo-single-navigation-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'bottom-layout-sn-accordion',
            'type'      => 'accordion',
            'title'     => 'Logo And Dual Navigation',
            'subtitle'  => 'Layout Logo and Dual Navigation Configs.',
            'position'  => 'start',
        ),  
            array(
                'id'       => 'bottom_left_navigation_menu',
                'type'     => 'select',
                'title'    => __('Left Navigation', 'allcom'), 
                'desc' => __('Select a menu for "Logo / Split Nav" Layout Manager item.', 'allcom'),
                'data' => 'menu_location',
            ),
            array(
                'id'       => 'bottom_right_navigation_menu',
                'type'     => 'select',
                'title'    => __('Right Navigation', 'allcom'), 
                'desc' => __('Select a menu for "Logo / Split Nav" Layout Manager item.', 'allcom'),
                'data' => 'menu_location',
            ),
            array(
                'id'       => 'bottom_split_navigation_logo',
                'type'     => 'select',
                'title'    => __('Logo And Split Navigation Layout', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'logo-split-navigation--center'        => 'Center',  
                    'logo-split-navigation--between'       => 'Space Between', 
                    'logo-split-navigation--around'        => 'Space Around',
                    'logo-split-navigation--evenly'        => 'Space Evenly', 
                ), 
                'default' => 'logo-split-navigation--center'
            ),
            array(
                'id'       => 'bottom_adaptive_sn_navigation',
                'type'     => 'button_set',
                'title'    => __('Adaptive Navigation', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'expanded-navigation'             => 'Expanded', 
                    'progressive-collapse-navigation' => 'Progressive Collapse',
                ), 
                'default' => 'expanded-navigation'
            ),
            array(
                'id'       => 'bottom_show_sn_logo',
                'type'     => 'button_set',
                'title'    => __('Show Logo', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2', '3'),
            ),
            array(
                'id'       => 'bottom_show_sn_menus',
                'type'     => 'button_set',
                'title'    => __('Show Navigation', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2', '3'),
            ),
        array(
            'id'        => 'bottom-layout-sn-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'bottom-layout-primary-navigation-accordion',
            'type'      => 'accordion',
            'title'     => 'Primary Navigation',
            'subtitle'  => 'Layout Navigation Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'bottom_adaptive_primary_navigation',
                'type'     => 'button_set',
                'title'    => __('Adaptive Navigation', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'expanded-navigation'             => 'Expanded', 
                    'progressive-collapse-navigation' => 'Progressive Collapse',
                ), 
                'default' => 'expanded-navigation'
            ),
            array(
                'id'       => 'bottom_show_primary_navigation',
                'type'     => 'button_set',
                'title'    => __('Show Navigation', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('2', '3'),
            ),
            array(
                'id'       => 'bottom_primary_navigation_items_position',
                'type'     => 'button_set',
                'title'    => __('Navigation Items Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'header__navigation--justify-items-start'   => 'Start', 
                    'header__navigation--justify-items-end'     => 'End',
                    'header__navigation--justify-items-center'  => 'Center', 
                    'header__navigation--justify-items-between' => 'Space Between', 
                    'header__navigation--justify-items-around'  => 'Space Around',
                    'header__navigation--justify-items-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'header__navigation--justify-items-end'
            ),
        array(
            'id'        => 'bottom-layout-primary-navigation-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'bottom-layout-secondary-navigation-accordion',
            'type'      => 'accordion',
            'title'     => 'Secondary Navigation',
            'subtitle'  => 'Layout Navigation Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'bottom_adaptive_secondary_navigation',
                'type'     => 'button_set',
                'title'    => __('Adaptive Navigation', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'expanded-navigation'             => 'Expanded', 
                    'progressive-collapse-navigation' => 'Progressive Collapse',
                ), 
                'default' => 'expanded-navigation'
            ),
            array(
                'id'       => 'bottom_show_secondary_navigation',
                'type'     => 'button_set',
                'title'    => __('Show Navigation', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('2', '3'),
            ),
            array(
                'id'       => 'bottom_secondary_navigation_items_position',
                'type'     => 'button_set',
                'title'    => __('Navigation Items Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'header__navigation--justify-items-start'   => 'Start', 
                    'header__navigation--justify-items-end'     => 'End',
                    'header__navigation--justify-items-center'  => 'Center', 
                    'header__navigation--justify-items-between' => 'Space Between', 
                    'header__navigation--justify-items-around'  => 'Space Around',
                    'header__navigation--justify-items-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'header__navigation--justify-items-end'
            ),
        array(
            'id'        => 'bottom-layout-secondary-navigation-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'bottom-layout-tertiary-navigation-accordion',
            'type'      => 'accordion',
            'title'     => 'Tertiary Navigation',
            'subtitle'  => 'Layout Navigation Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'bottom_adaptive_tertiary_navigation',
                'type'     => 'button_set',
                'title'    => __('Adaptive Navigation', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'expanded-navigation'             => 'Expanded', 
                    'progressive-collapse-navigation' => 'Progressive Collapse',
                ), 
                'default' => 'expanded-navigation'
            ),
            array(
                'id'       => 'bottom_show_tertiary_navigation',
                'type'     => 'button_set',
                'title'    => __('Show Navigation', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('2', '3'),
            ),
            array(
                'id'       => 'bottom_tertiary_navigation_items_position',
                'type'     => 'button_set',
                'title'    => __('Navigation Items Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'header__navigation--justify-items-start'   => 'Start', 
                    'header__navigation--justify-items-end'     => 'End',
                    'header__navigation--justify-items-center'  => 'Center', 
                    'header__navigation--justify-items-between' => 'Space Between', 
                    'header__navigation--justify-items-around'  => 'Space Around',
                    'header__navigation--justify-items-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'header__navigation--justify-items-end'
            ),
        array(
            'id'        => 'bottom-layout-tertiary-navigation-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'bottom-header-layout-manager-accordion',
            'type'      => 'accordion',
            'title'     => 'Header Layout Manager',
            'subtitle'  => 'Header Configs.',
            'position'  => 'start',
            'open'     => true
        ),
            array(
                'id'       => 'bottom_header_layout_fit_content',
                'type'     => 'button_set',
                'title'    => __('Header Layout Fit Content', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'bottom-header-layout-no-fit-content' => 'No',
                    'bottom-header-layout-fit-content-left-auto' => 'Left', 
                    'bottom-header-layout-fit-content-center-auto' => 'Center', 
                    'bottom-header-layout-fit-content-right-auto' => 'Right', 
                ), 
                'default' => 'bottom-header-layout-no-fit-content',
            ),
            array(
                'id'       => 'bottom_header_left_content_position',
                'type'     => 'button_set',
                'title'    => __('Header Left Content Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'justify-start'   => 'Start', 
                    'justify-end'     => 'End',
                    'justify-center'  => 'Center', 
                    'justify-between' => 'Space Between', 
                    'justify-around'  => 'Space Around',
                    'justify-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'justify-start'
            ),
            array(
                'id'       => 'bottom_header_center_content_position',
                'type'     => 'button_set',
                'title'    => __('Header Center Content Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'justify-start'   => 'Start', 
                    'justify-end'     => 'End',
                    'justify-center'  => 'Center', 
                    'justify-between' => 'Space Between', 
                    'justify-around'  => 'Space Around',
                    'justify-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'justify-center'
            ),
            array(
                'id'       => 'bottom_header_right_content_position',
                'type'     => 'button_set',
                'title'    => __('Header Right Content Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'justify-start'   => 'Start', 
                    'justify-end'     => 'End',
                    'justify-center'  => 'Center', 
                    'justify-between' => 'Space Between', 
                    'justify-around'  => 'Space Around',
                    'justify-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'justify-end'
            ),
            array(
                'id'      => 'bottom_header_layout',
                'type'    => 'sorter',
                'title'   => 'Header Layout Manager',
                'desc'    => 'Organize how you want the header to appear',
                'options' => array(
                    'disabled' => array(
                        'logo_nav' => 'Logo / Nav',
                        'logo_split_nav' => 'Logo / Split Nav',
                        'secondary_nav' => 'Secondary Nav',
                        'tertiary_nav' => 'Tertiary Nav',
                        'first_widget' => 'First Widget',
                        'second_widget' => 'Second Widget',
                        'third_widget' => 'Third Widget',
                        'fourth_widget' => 'Fourth Widget',
                        'fifth_widget' => 'Fifth Widget',
                        'sixth_widget' => 'Sixth Widget',
                    ),
                    'left'  => array(
                        'logo' => 'Logo',
                    ),
                    'center'  => array(
                        'primary_nav' => 'Primary Nav',
                    ),
                    'right'  => array(
                        'search' => 'Search',
                        'cart' => 'Cart',
                        'toggle' => 'Toggle Navigation',
                    ),
                ),
            ),
        array(
            'id'        => 'bottom-header-layout-manager-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
    ),
));
Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-mobile-header',
    'title'     => __('Mobile Header', 'allcom'),
    'subsection' => true,
    'fields'    => array(
        array(
            'id'       => 'mobile_menu',
            'type'     => 'select',
            'title'    => __('Navigation', 'allcom'), 
            'desc' => __('Select a menu for mobile navigation.', 'allcom'),
            'data' => 'menu_location',
            'default' => '',
        ),
        array(
            'id'       => 'mobile_header_show',
            'type'     => 'button_set',
            'title'    => __('Show Mobile Header', 'allcom'),
            'desc' => __('Choose which devices will appear on.', 'allcom'),
            'multi'    => true,
            'options' => array(
                '1' => 'Mobile Devices', 
                '2' => 'Tablet Devices', 
                '3' => 'Desktop Devices', 
            ), 
            'default' => array('1'),
        ),
        array(
            'id'        => 'mobile-layout-toggle-accordion',
            'type'      => 'accordion',
            'title'     => 'Mobile Toggle',
            'subtitle'  => 'Toggle Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'mobile_hamburger_type',
                'type'     => 'select',
                'title'    => __('Hamburger Type', 'allcom'), 
                'desc'     => __('Here’s the list of hamburger type you can choose from.', 'allcom'),
                'options'  => array(
                    '3dx' => '3DX',
                    '3dy' => '3DY',
                    '3dxy' => '3DXY',
                    'boring' => 'Boring',
                    'collapse' => 'Collapse',
                    'elastic' => 'Elastic',
                    'emphatic' => 'Emphatic',
                    'minus' => 'Minus',
                    'slider' => 'Slider',
                    'spin' => 'Spin',
                    'spring' => 'Spring',
                    'stand' => 'Stand',
                    'squeeze' => 'Squeeze',
                    'vortex' => 'Vortex',
                ),
                'default'  => 'spin',
            ),
            array(
                'id'       => 'mobile_hamburger_reverse_animation',
                'type'     => 'switch', 
                'title'    => __('Hamburger Reverse Animation', 'allcom'),
                'desc' => __('On for counterclockwise animation. Default is clockwise animation.<br>Boring, Minus and Squeeze Hamburger Type don\'t have counterclockwise animation.', 'allcom'),
                'required' => array( 
                    array('mobile_hamburger_type','!=','boring'), 
                    array('mobile_hamburger_type','!=','minus'), 
                    array('mobile_hamburger_type','!=','squeeze'), 
                ),
                'default'  => false,
            ),
            array(
                'id'       => 'mobile_show_hamburger',
                'type'     => 'button_set',
                'title'    => __('Show Hamburger', 'allcom'),
                'desc' => __('Choose which devices the hamburger will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2'),
            ),
        array(
            'id'        => 'mobile-layout-toggle-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'mobile-layout-search-accordion',
            'type'      => 'accordion',
            'title'     => 'Search',
            'subtitle'  => 'Search Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'mobile_search_layout',
                'type'     => 'button_set',
                'title'    => __('Search Layout', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    '1' => 'Expanded', 
                    '2' => 'Dropdown',
                    '3' => 'Modal', 
                ), 
                'default' => '1'
            ),
            array(
                'id'       => 'mobile_search_button',
                'type'     => 'button_set',
                'title'    => __('Search Button', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    '1' => 'No Button', 
                    '2' => 'Left Button',
                    '3' => 'Right Button', 
                ), 
                'default' => '3'
            ),
            array(
                'id'       => 'mobile_show_search',
                'type'     => 'button_set',
                'title'    => __('Show Search', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2', '3'),
            ),
            array(
                'id'       => 'mobile_search_width',
                'type'     => 'dimensions',
                'units'    => array('%','px'),
                'title'    => __('Search Input Width', 'allcom'),
                'subtitle' => __('Input a Value', 'allcom'),
                'required'  => array('mobile_search_layout', 'equals', '1'),
                'height'   => false,
                'output'    => array('width' => '.header__search--mobile')
            ),
            array(
                'id'       => 'mobile_search_placeholder_text',
                'type'     => 'text',
                'title'    => __('Placeholder Text', 'allcom'),
                'desc'     => __('Change placeholder text.', 'allcom'),
                'validate' => 'no_html',
                'default' => '',
            ),
            array(
                'id'       => 'mobile_search_button_text',
                'type'     => 'text',
                'title'    => __('Button Text', 'allcom'),
                'desc'     => __('Change buton text.', 'allcom'),
                'validate' => 'no_html',
                'default' => '',
            ),
        array(
            'id'        => 'mobile-layout-search-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'mobile-layout-logo-single-navigation-accordion',
            'type'      => 'accordion',
            'title'     => 'Logo And Single Navigation',
            'subtitle'  => 'Layout Logo and Single Navigation Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'mobile_lsn_menu',
                'type'     => 'select',
                'title'    => __('Single Navigation', 'allcom'), 
                'desc' => __('Select a menu for "Logo / Nav" Layout Manager item.', 'allcom'),
                'data' => 'menu_location',
            ),
            array(
                'id'       => 'mobile_lsn_logo',
                'type'     => 'select',
                'title'    => __('Logo And Navigation Layout', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'lsn--start'         => 'Start', 
                    'lsn--center'        => 'Center', 
                    'lsn--center-top'    => 'Logo Center Top', 
                    'lsn--center-bottom' => 'Logo Center Bottom',  
                ), 
                'default' => 'lsn--start'
            ),
            array(
                'id'       => 'mobile_adaptive_lsn_navigation',
                'type'     => 'button_set',
                'title'    => __('Adaptive Navigation', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'expanded-navigation'             => 'Expanded', 
                    'progressive-collapse-navigation' => 'Progressive Collapse',
                ), 
                'default' => 'expanded-navigation'
            ),
            array(
                'id'       => 'mobile_show_lsn_logo',
                'type'     => 'button_set',
                'title'    => __('Show Logo', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2', '3'),
            ),
            array(
                'id'       => 'mobile_show_lsn_menu',
                'type'     => 'button_set',
                'title'    => __('Show Navigation', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2', '3'),
            ),
            array(
                'id'       => 'mobile_adaptive_lsn_navigation_items_position',
                'type'     => 'button_set',
                'title'    => __('Navigation Items Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'header__navigation--justify-items-start'   => 'Start', 
                    'header__navigation--justify-items-end'     => 'End',
                    'header__navigation--justify-items-center'  => 'Center', 
                    'header__navigation--justify-items-between' => 'Space Between', 
                    'header__navigation--justify-items-around'  => 'Space Around',
                    'header__navigation--justify-items-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'header__navigation--justify-items-end'
            ),
        array(
            'id'        => 'mobile-layout-logo-single-navigation-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'mobile-layout-sn-accordion',
            'type'      => 'accordion',
            'title'     => 'Logo And Dual Navigation',
            'subtitle'  => 'Layout Logo and Dual Navigation Configs.',
            'position'  => 'start',
        ),  
            array(
                'id'       => 'mobile_left_navigation_menu',
                'type'     => 'select',
                'title'    => __('Left Navigation', 'allcom'), 
                'desc' => __('Select a menu for "Logo / Split Nav" Layout Manager item.', 'allcom'),
                'data' => 'menu_location',
            ),
            array(
                'id'       => 'mobile_right_navigation_menu',
                'type'     => 'select',
                'title'    => __('Right Navigation', 'allcom'), 
                'desc' => __('Select a menu for "Logo / Split Nav" Layout Manager item.', 'allcom'),
                'data' => 'menu_location',
            ),
            array(
                'id'       => 'mobile_split_navigation_logo',
                'type'     => 'select',
                'title'    => __('Logo And Split Navigation Layout', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'logo-split-navigation--center'        => 'Center',  
                    'logo-split-navigation--between'       => 'Space Between', 
                    'logo-split-navigation--around'        => 'Space Around',
                    'logo-split-navigation--evenly'        => 'Space Evenly', 
                ), 
                'default' => 'logo-split-navigation--center'
            ),
            array(
                'id'       => 'mobile_adaptive_sn_navigation',
                'type'     => 'button_set',
                'title'    => __('Adaptive Navigation', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'expanded-navigation'             => 'Expanded', 
                    'progressive-collapse-navigation' => 'Progressive Collapse',
                ), 
                'default' => 'expanded-navigation'
            ),
            array(
                'id'       => 'mobile_show_sn_logo',
                'type'     => 'button_set',
                'title'    => __('Show Logo', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2', '3'),
            ),
            array(
                'id'       => 'mobile_show_sn_menus',
                'type'     => 'button_set',
                'title'    => __('Show Navigation', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('1', '2', '3'),
            ),
        array(
            'id'        => 'mobile-layout-sn-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'mobile-layout-primary-navigation-accordion',
            'type'      => 'accordion',
            'title'     => 'Primary Navigation',
            'subtitle'  => 'Layout Navigation Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'mobile_adaptive_primary_navigation',
                'type'     => 'button_set',
                'title'    => __('Adaptive Navigation', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'expanded-navigation'             => 'Expanded', 
                    'progressive-collapse-navigation' => 'Progressive Collapse',
                ), 
                'default' => 'expanded-navigation'
            ),
            array(
                'id'       => 'mobile_show_primary_navigation',
                'type'     => 'button_set',
                'title'    => __('Show Navigation', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('2', '3'),
            ),
            array(
                'id'       => 'mobile_primary_navigation_items_position',
                'type'     => 'button_set',
                'title'    => __('Navigation Items Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'header__navigation--justify-items-start'   => 'Start', 
                    'header__navigation--justify-items-end'     => 'End',
                    'header__navigation--justify-items-center'  => 'Center', 
                    'header__navigation--justify-items-between' => 'Space Between', 
                    'header__navigation--justify-items-around'  => 'Space Around',
                    'header__navigation--justify-items-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'header__navigation--justify-items-end'
            ),
        array(
            'id'        => 'mobile-layout-primary-navigation-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'mobile-layout-secondary-navigation-accordion',
            'type'      => 'accordion',
            'title'     => 'Secondary Navigation',
            'subtitle'  => 'Layout Navigation Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'mobile_adaptive_secondary_navigation',
                'type'     => 'button_set',
                'title'    => __('Adaptive Navigation', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'expanded-navigation'             => 'Expanded', 
                    'progressive-collapse-navigation' => 'Progressive Collapse',
                ), 
                'default' => 'expanded-navigation'
            ),
            array(
                'id'       => 'mobile_show_secondary_navigation',
                'type'     => 'button_set',
                'title'    => __('Show Navigation', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('2', '3'),
            ),
            array(
                'id'       => 'mobile_secondary_navigation_items_position',
                'type'     => 'button_set',
                'title'    => __('Navigation Items Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'header__navigation--justify-items-start'   => 'Start', 
                    'header__navigation--justify-items-end'     => 'End',
                    'header__navigation--justify-items-center'  => 'Center', 
                    'header__navigation--justify-items-between' => 'Space Between', 
                    'header__navigation--justify-items-around'  => 'Space Around',
                    'header__navigation--justify-items-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'header__navigation--justify-items-end'
            ),
        array(
            'id'        => 'mobile-layout-secondary-navigation-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'mobile-layout-tertiary-navigation-accordion',
            'type'      => 'accordion',
            'title'     => 'Tertiary Navigation',
            'subtitle'  => 'Layout Navigation Configs.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'mobile_adaptive_tertiary_navigation',
                'type'     => 'button_set',
                'title'    => __('Adaptive Navigation', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'expanded-navigation'             => 'Expanded', 
                    'progressive-collapse-navigation' => 'Progressive Collapse',
                ), 
                'default' => 'expanded-navigation'
            ),
            array(
                'id'       => 'mobile_show_tertiary_navigation',
                'type'     => 'button_set',
                'title'    => __('Show Navigation', 'allcom'),
                'desc' => __('Choose which devices will appear on.', 'allcom'),
                'multi'    => true,
                'options' => array(
                    '1' => 'Mobile Devices', 
                    '2' => 'Tablet Devices', 
                    '3' => 'Desktop Devices', 
                ), 
                'default' => array('2', '3'),
            ),
            array(
                'id'       => 'mobile_tertiary_navigation_items_position',
                'type'     => 'button_set',
                'title'    => __('Navigation Items Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'header__navigation--justify-items-start'   => 'Start', 
                    'header__navigation--justify-items-end'     => 'End',
                    'header__navigation--justify-items-center'  => 'Center', 
                    'header__navigation--justify-items-between' => 'Space Between', 
                    'header__navigation--justify-items-around'  => 'Space Around',
                    'header__navigation--justify-items-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'header__navigation--justify-items-end'
            ),
        array(
            'id'        => 'mobile-layout-tertiary-navigation-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'mobile-header-layout-manager-accordion',
            'type'      => 'accordion',
            'title'     => 'Header Layout Manager',
            'subtitle'  => 'Header Configs.',
            'position'  => 'start',
            'open'     => true,
        ),
            array(
                'id'       => 'mobile_header_layout_fit_content',
                'type'     => 'button_set',
                'title'    => __('Header Layout Fit Content', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'mobile-header-layout-no-fit-content' => 'No',
                    'mobile-header-layout-fit-content-left-auto' => 'Left', 
                    'mobile-header-layout-fit-content-center-auto' => 'Center', 
                    'mobile-header-layout-fit-content-right-auto' => 'Right', 
                ), 
                'default' => 'mobile-header-layout-no-fit-content',
            ),
            array(
                'id'       => 'mobile_header_left_content_position',
                'type'     => 'button_set',
                'title'    => __('Header Left Content Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'justify-start'   => 'Start', 
                    'justify-end'     => 'End',
                    'justify-center'  => 'Center', 
                    'justify-between' => 'Space Between', 
                    'justify-around'  => 'Space Around',
                    'justify-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'justify-start'
            ),
            array(
                'id'       => 'mobile_header_center_content_position',
                'type'     => 'button_set',
                'title'    => __('Header Center Content Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'justify-start'   => 'Start', 
                    'justify-end'     => 'End',
                    'justify-center'  => 'Center', 
                    'justify-between' => 'Space Between', 
                    'justify-around'  => 'Space Around',
                    'justify-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'justify-center'
            ),
            array(
                'id'       => 'mobile_header_right_content_position',
                'type'     => 'button_set',
                'title'    => __('Header Right Content Position', 'allcom'),
                'subtitle' => __('Enable or disable', 'allcom'),
                'options' => array(
                    'justify-start'   => 'Start', 
                    'justify-end'     => 'End',
                    'justify-center'  => 'Center', 
                    'justify-between' => 'Space Between', 
                    'justify-around'  => 'Space Around',
                    'justify-evenly'  => 'Space Evenly', 
                ), 
                'default' => 'justify-end'
            ),
            array(
                'id'      => 'mobile_header_layout',
                'type'    => 'sorter',
                'title'   => 'Header Layout Manager',
                'desc'    => 'Organize how you want the header to appear',
                'options' => array(
                    'disabled' => array(
                        'logo_nav' => 'Logo / Nav',
                        'logo_split_nav' => 'Logo / Split Nav',
                        'cart' => 'Cart',
                        'secondary_nav' => 'Secondary Nav',
                        'tertiary_nav' => 'Tertiary Nav',
                        'first_widget' => 'First Widget',
                        'second_widget' => 'Second Widget',
                        'third_widget' => 'Third Widget',
                        'fourth_widget' => 'Fourth Widget',
                        'fifth_widget' => 'Fifth Widget',
                        'sixth_widget' => 'Sixth Widget',
                    ),
                    'left'  => array(
                        'logo' => 'Logo',
                    ),
                    'center'  => array(
                        'primary_nav' => 'Primary Nav',
                    ),
                    'right'  => array(
                        'search' => 'Search',
                        'toggle' => 'Toggle Navigation',
                    ),
                ),
            ),
        array(
            'id'        => 'mobile-header-layout-manager-accordion-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
    ),
));
Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-navigation',
    'title'     => __('Navigation', 'allcom'),
    'subsection' => true,
    'fields'    => array(
        array(
            'id'        => 'navigation-link',
            'type'      => 'accordion',
            'title'     => 'Navigation Link',
            'subtitle'  => 'For General use.',
            'position'  => 'start',
            'open'     => true
        ),
            array(
                'id'       => 'navigation_link',
                'type'     => 'css_layout',
                'title'    => __( 'Navigation Link', 'allcom' ),
                'desc'     => '<br>Accetped units values are: %, px, in, cm, mm, em, rem, ex, pt, pc',
                'output'   => array( '.nav-link' ),
                'default'  => array(
                    'margin-top'        => '0',
                    'margin-bottom'     => '0',
                    'border'            => '0',
                    'border-color'      => '',
                    'border-style'      => '',
                ),
                'options'  => array(
                    'margin_enabled'  => true,
                    'border_enabled'  => true,
                    'radius_enabled'  => true,
                    'padding_enabled' => true,
                    'radius_enabled'  => true,
                    'color_enabled'   => true,
                    'style_enabled'   => true,
                )
            ),
            array(         
                'id'      => 'navigation_link_shadow',
                'type'    => 'box_shadow',
                'title'   => __('Navigation Link Shadow', 'allcom'),
                'units'   => array( 'px', 'em', 'rem' ),
                'output'  => ( '.nav-link' ),
                'opacity' => true,
                'rgba'    => true,
                'default' => array (
                    'horizontal'   => '', // can be negative value
                    'vertical'     => '', // can be negative value
                    'blur'         => '',
                    'spread'       => '',
                    'opacity'      => '',
                    'shadow-color' => '',
                    'shadow-type'  => '', // 'inset' or 'outside'
                    'units'        => '',
                ),
            ),
        array(
            'id'        => 'navigation-link-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'dropdown-menu-navigation-link',
            'type'      => 'accordion',
            'title'     => 'Dropdown Menu Link Navigation',
            'subtitle'  => 'For General use.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'dropdown_menu_navigation_link',
                'type'     => 'css_layout',
                'title'    => __( 'Dropdown Menu Link Navigation', 'allcom' ),
                'desc'     => '<br>Accetped units values are: %, px, in, cm, mm, em, rem, ex, pt, pc',
                'output'   => array( '.dropdown-menu .nav-item .dropdown-item,.dropdown-menu .dropdown-submenu .nav-link' ),
                'default'  => array(
                    'margin'            => '',
                    'padding'            => '10px 0 10px 0',
                    'border'            => '0',
                    'border-color'      => '',
                    'border-style'      => '',
                ),
                'options'  => array(
                    'margin_enabled'  => true,
                    'border_enabled'  => true,
                    'radius_enabled'  => true,
                    'padding_enabled' => true,
                    'radius_enabled'  => true,
                    'color_enabled'   => true,
                    'style_enabled'   => true,
                )
            ),
            array(         
                'id'      => 'dropdown_menu_navigation_link_shadow',
                'type'    => 'box_shadow',
                'title'   => __('Dropdown Menu Link Navigation Shadow', 'allcom'),
                'units'   => array( 'px', 'em', 'rem' ),
                'output'  => ( '.dropdown-menu .nav-item .dropdown-item,.dropdown-menu .dropdown-submenu .nav-link' ),
                'opacity' => true,
                'rgba'    => true,
                'default' => array (
                    'horizontal'   => '', // can be negative value
                    'vertical'     => '', // can be negative value
                    'blur'         => '',
                    'spread'       => '',
                    'opacity'      => '',
                    'shadow-color' => '',
                    'shadow-type'  => '', // 'inset' or 'outside'
                    'units'        => '',
                ),
            ),
        array(
            'id'        => 'dropdown-menu-navigation-link-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'dropdown-menu',
            'type'      => 'accordion',
            'title'     => 'Dropdown Menu Layout',
            'subtitle'  => 'For General use.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'dropdown_menu',
                'type'     => 'css_layout',
                'title'    => __( 'Dropdown Menu', 'allcom' ),
                'desc'     => '<br>Accetped units values are: %, px, in, cm, mm, em, rem, ex, pt, pc',
                'output'   => array( '.desktop-device .navbar-nav:not(#mobile-menu) .dropdown-menu' ),
                'default'  => array(
                    'margin-top'        => '0',
                    'margin-bottom'     => '0',
                    'border'            => '3px 0px 0px 0px',
                    'border-color'      => '#4c3cff',
                    'border-style'      => 'solid',
                ),
                'options'  => array(
                    'margin_enabled'  => true,
                    'border_enabled'  => true,
                    'radius_enabled'  => true,
                    'padding_enabled' => true,
                    'radius_enabled'  => true,
                    'color_enabled'   => true,
                    'style_enabled'   => true,
                )
            ),
            array(         
                'id'      => 'dropdown_menu_shadow',
                'type'    => 'box_shadow',
                'title'   => __('Box Shadow', 'allcom'),
                'units'   => array( 'px', 'em', 'rem' ),
                'output'  => ( '.desktop-device .navbar-nav:not(#mobile-menu) .dropdown-menu' ),
                'opacity' => true,
                'rgba'    => true,
                'default' => array (
                    'horizontal'   => '0', // can be negative value
                    'vertical'     => '12', // can be negative value
                    'blur'         => '15',
                    'spread'       => '0',
                    'opacity'      => '0.1',
                    'shadow-color' => '#000',
                    'shadow-type'  => 'outside', // 'inset' or 'outside'
                    'units'        => 'px',
                ),
            ),
        array(
            'id'        => 'dropdown-menu-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
        array(
            'id'        => 'mobile-dropdown-menu',
            'type'      => 'accordion',
            'title'     => 'Mobile Dropdown Menu Layout',
            'subtitle'  => 'For General use.',
            'position'  => 'start',
        ),
            array(
                'id'       => 'mobile_dropdown_menu',
                'type'     => 'css_layout',
                'title'    => __( 'Dropdown Menu', 'allcom' ),
                'desc'     => '<br>Accetped units values are: %, px, in, cm, mm, em, rem, ex, pt, pc',
                'output'   => array( '.tablet-device .dropdown-menu,.mobile-device .dropdown-menu, .desktop-device #mobile-menu .dropdown-menu' ),
                'default'  => array(
                    'margin-top'        => '0',
                    'margin-bottom'     => '0',
                    'border'            => '0px 0px 0px 3px',
                    'border-color'      => '#4c3cff',
                    'border-style'      => 'solid',
                ),
                'options'  => array(
                    'margin_enabled'  => true,
                    'border_enabled'  => true,
                    'radius_enabled'  => true,
                    'padding_enabled' => true,
                    'radius_enabled'  => true,
                    'color_enabled'   => true,
                    'style_enabled'   => true,
                )
            ),
            array(         
                'id'      => 'mobile_shadow_dropdown_menu',
                'type'    => 'box_shadow',
                'title'   => __('Box Shadow', 'allcom'),
                'units'   => array( 'px', 'em', 'rem' ),
                'output'  => ( '.tablet-device .dropdown-menu,.mobile-device .dropdown-menu' ),
                'opacity' => true,
                'rgba'    => true,
                'default' => array (
                    'horizontal'   => '', // can be negative value
                    'vertical'     => '', // can be negative value
                    'blur'         => '',
                    'spread'       => '',
                    'opacity'      => '',
                    'shadow-color' => '',
                    'shadow-type'  => '', // 'inset' or 'outside'
                    'units'        => '',
                ),
            ),
        array(
            'id'        => 'mobile-dropdown-menu-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
    ),
));
Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-hero',
    'title'     => __('Hero', 'allcom'),
    'subsection' => true,
    'fields'    => array(
        array(
            'id' => 'hero', 
            'type' => 'button_set',
            'title' => __('Hero', 'allcom'),
            'subtitle' => __('Enable or disable hero section.', 'allcom'),
            'options' => array(
                '1' => 'Off',
                '2' => 'Single Hero',
                '3' => 'Slider Hero',
            ),
            'default' => '2'
        ),
        array(
            'id'       => 'hero_show',
            'type'     => 'button_set',
            'title'    => __('Show', 'allcom'),
            'subtitle' => __('Choose which devices will appear on.', 'allcom'),
            'multi'    => true,
            'required' => array('hero', '>', '1'),
            'options' => array(
                '1' => 'Mobile Devices', 
                '2' => 'Tablet Devices', 
                '3' => 'Desktop Devices', 
            ), 
            'default' => array('1', '2', '3'),
        ),
        array(
            'id'       => 'hero_screen_size',
            'type'     => 'button_set',
            'title'    => __('Height', 'allcom'),
            'subtitle' => __('Choose the height.', 'allcom'),
            'required' => array('hero', '=', '2'),
            'options' => array(
                'hero--small-screen-size' => 'Small', 
                'hero--medium-screen-size' => 'Medium', 
                'hero--full-screen-size' => 'Full Height', 
            ), 
            'default' => 'hero--medium-screen-size',
        ),
        array(
            'id'        => 'hero_boxed_or_stretched',
            'type'      => 'image_select',
            'title'     => __('Boxed or Stretched Style', 'allcom'),
            'subtitle'  => __('Choose the format that works best for you.', 'allcom'),
            'options'   => array(
                'container' => array('alt' => 'Boxed', 'img' => $ReduxFrameworkAssets . 'boxed.png'),
                'container-fluid' => array('alt' => 'Stretched', 'img' => $ReduxFrameworkAssets . 'stretched.png')
            ),
            'required' => array('hero', '>', '1'),
            'default'   => 'container-fluid',
        ),
        array(
            'id'       => 'hero_content_position',
            'type'     => 'select',
            'title'    => __('Content Position', 'allcom'),
            'subtitle' => __('Select position for title, subtitle and breadcrumbs.', 'allcom'),
            'required' => array('hero', '>', '1'),
            'options'  => array(
                'hero--left-top'      => 'Left Top', 
                'hero--left-center'   => 'Left Center', 
                'hero--left-bottom'   => 'Left Bottom', 
                'hero--center-top'    => 'Center Top', 
                'hero--center-center' => 'Center Center', 
                'hero--center-bottom' => 'Center Bottom', 
                'hero--right-top'     => 'Right Top', 
                'hero--right-center'  => 'Right Center', 
                'hero--right-bottom'  => 'Right Bottom', 
            ), 
            'default'  => 'hero--left-center',
        ),
        array(
            'id' => 'hero_breadcrumbs',
            'type' => 'switch',
            'title' => __( 'Breadcrumbs' , 'allcom' ),
            'subtitle' => __( 'Enable or disable breadcrumbs.' , 'allcom' ),
            'default'  => true,
        ),
        array(
            'id'       => 'hero_design_options',
            'type'     => 'css_layout',
            'title'    => __( 'Design Options', 'allcom' ),
            'desc'     => '<br>Accetped units values are: %, px, in, cm, mm, em, rem, ex, pt, pc',
            'output'   => array( '.hero .hero__background-image, .hero.hero--slider .carousel' ),
            'required' => array('hero', '>', '1'),
            'default'  => array(
                'margin-top'        => '',
                'margin-bottom'     => '',
                'border'            => '',
                'border-color'      => '',
                'border-style'      => '',
            ),
            'options'  => array(
                'margin_enabled'  => true,
                'border_enabled'  => true,
                'radius_enabled'  => true,
                'padding_enabled' => true,
                'radius_enabled'  => true,
                'color_enabled'   => true,
                'style_enabled'   => true,
            )
        ),
        array(         
            'id'      => 'hero_shadow_dropdown_menu',
            'type'    => 'box_shadow',
            'title'   => __('Box Shadow', 'allcom'),
            'units'   => array( 'px', 'em', 'rem' ),
            'output'  => ( '.hero .hero__background-image, .hero.hero--slider .carousel' ),
            'opacity' => true,
            'rgba'    => true,
            'required' => array('hero', '>', '1'),
            'default' => array (
                'horizontal'   => '', // can be negative value
                'vertical'     => '', // can be negative value
                'blur'         => '',
                'spread'       => '',
                'opacity'      => '',
                'shadow-color' => '',
                'shadow-type'  => '', // 'inset' or 'outside'
                'units'        => '',
            ),
        ),
        array(
            'id'        => 'hero_background_color',
            'type'      => 'color_rgba',
            'title'     => __('Background Color', 'allcom'),
            'subtitle'      => __('Set background bolor and opacity.', 'allcom'),
            'required' => array('hero', '=', '2'),
            'output'    => array('background-color' => '.hero .hero__background-color'),
            'default'   => array(
                'color'     => '#4c3cff',
                'alpha'     => 1
            ),
            
            'options'       => array(
                'show_input'                => true,
                'show_initial'              => true,
                'show_alpha'                => true,
                'show_palette'              => true,
                'show_palette_only'         => false,
                'show_selection_palette'    => true,
                'max_palette_size'          => 10,
                'allow_empty'               => true,
                'clickout_fires_change'     => true,
                'choose_text'               => 'Choose',
                'cancel_text'               => 'Cancel',
                'show_buttons'              => true,
                'use_extended_classes'      => true,
                'palette'                   => null,  // show default
                'input_text'                => 'Select Color'
            ),                        
        ),
        array(
            'id'               => 'hero_background_image',
            'type'             => 'background', 
            'background-color' => false,
            'required' => array('hero', '=', '2'),
            'title'            => __('Background Image', 'allcom'),
            'desc'             => __('Upload an image, should be between 1920px x 1080px (or more) for best results.', 'allcom'),
            'output'   => array('.hero .hero__background-image'),
        ), 
        array(
            'id'          => 'hero_slides',
            'type'        => 'slides',
            'title'       => __('Slides', 'allcom'),
            'subtitle'    => __('Unlimited slides with drag and drop sortings.', 'allcom'),
            'show'        => array( 'description' => false ),
            'required' => array('hero', '=', '3'),
        ), 
        array(
            'id'        => 'hero-shape',
            'type'      => 'accordion',
            'title'     => 'Shape',
            'subtitle'  => 'Shape Divider.',
            'position'  => 'start',
        ),  
            array(
                'id'       => 'hero_shape_switch',
                'type'     => 'switch', 
                'title'    => __('Shape', 'allcom'),
                'subtitle' => __('Enable or disable custom shape divider.', 'allcom'),
                'default'  => false,
            ),
            array(
                'id'       => 'hero_shape_style',
                'type'     => 'select',
                'title'    => __('Style', 'allcom'),
                'subtitle' => __('Select your style.', 'allcom'),
                'required' => array('hero_shape_switch', '=', true),
                'options'  => array(
                    'waves'                 => 'Waves', 
                    'waves_opacity'         => 'Waves Opacity', 
                    'curve'                 => 'Curve', 
                    'curve_asymmetrical'    => 'Curve Asymmetrical', 
                    'triangle'              => 'Triangle', 
                    'triangle_asymmetrical' => 'Triangle Asymmetrical', 
                    'tilt'                  => 'Tilt', 
                    'arrow'                 => 'Arrow', 
                    'split'                 => 'Split', 
                    'book'                  => 'Book', 
                ), 
                'default'  => 'waves',
            ),
            array(
                'id'        => 'hero_shape_background_color',
                'type'      => 'color_rgba',
                'title'     => __('Background Color', 'allcom'),
                'subtitle'      => __('Set background bolor and opacity.', 'allcom'),
                'required' => array('hero_shape_switch', '=', true),
                'output'    => array('fill' => '.hero.light-theme .hero__shape svg, .hero.light-theme-contrast .hero__shape svg, .hero.dark-theme .hero__shape svg, .hero.dark-theme-contrast .hero__shape svg'),
                
                'options'       => array(
                    'show_input'                => true,
                    'show_initial'              => true,
                    'show_alpha'                => true,
                    'show_palette'              => true,
                    'show_palette_only'         => false,
                    'show_selection_palette'    => true,
                    'max_palette_size'          => 10,
                    'allow_empty'               => true,
                    'clickout_fires_change'     => true,
                    'choose_text'               => 'Choose',
                    'cancel_text'               => 'Cancel',
                    'show_buttons'              => true,
                    'use_extended_classes'      => true,
                    'palette'                   => null,  // show default
                    'input_text'                => 'Select Color'
                ),                        
            ),
            array(
                'id'       => 'hero_shape_flip_horizontal',
                'type'     => 'switch', 
                'title'    => __('Flip horizontal', 'allcom'),
                'subtitle' => __('Flip horizontally.', 'allcom'),
                'default'  => false,
                'required' => array( 
                    array('hero_shape_switch', '=', true),
                    array('hero_shape_style','!=','curve'),
                    array('hero_shape_style','!=','triangle'),
                    array('hero_shape_style','!=','arrow'),
                    array('hero_shape_style','!=','split'),
                    array('hero_shape_style','!=','book')   
                ),
            ),
            array(
                'id'       => 'hero_shape_flip_vertical',
                'type'     => 'switch', 
                'title'    => __('Flip Vertical', 'allcom'),
                'subtitle' => __('Flip vertically.', 'allcom'),
                'default'  => false,
                'required' => array( 
                    array('hero_shape_switch', '=', true),
                    array('hero_shape_style','!=','waves_opacity'),
                    array('hero_shape_style','!=','tilt')  
                ),
            ),
            array(
                'id'       => 'hero_shape_position',
                'type'     => 'button_set',
                'title'    => __('Position', 'allcom'),
                'subtitle' => __('Choose top or bottom.', 'allcom'),
                'required' => array('hero_shape_switch', '=', true),
                'options'  => array(
                    'hero__shape--bottom' => 'Bottom', 
                    'hero__shape--top' => 'Top', 
                ), 
                'default'  => 'hero__shape--bottom',
            ),
            array(
                'id' => 'hero_shape_height',
                'type' => 'slider',
                'title' => __( 'Height' , 'allcom' ),
                'default'   => 150,
                'min'       => 0,
                'step'      => 1,
                'max'       => 500,
                'required' => array('hero_shape_switch', '=', true),
            ),
            array(
                'id' => 'hero_shape_width',
                'type' => 'slider',
                'title' => __( 'Width' , 'allcom' ),
                'default'   => 100,
                'min'       => 100,
                'step'      => 1,
                'max'       => 300,
                'required' => array('hero_shape_switch', '=', true),
            ),
        array(
            'id'        => 'hero-shape-end',
            'type'      => 'accordion',
            'position'  => 'end',
        ),
    ),
));
Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-content',
    'title'     => __('Content', 'allcom'),
    'subsection' => true,
    'fields'    => array(
        array(
            'id'        => 'content_boxed_or_stretched',
            'type'      => 'image_select',
            'title'     => __('Boxed or Stretched Style', 'allcom'),
            'subtitle'  => __('Choose the format that works best for you.', 'allcom'),
            'options'   => array(
                'container' => array('alt' => 'Boxed', 'img' => $ReduxFrameworkAssets . 'boxed.png'),
                'container-fluid' => array('alt' => 'Stretched', 'img' => $ReduxFrameworkAssets . 'stretched.png')
            ),
            'default'   => 'container'
        ),
    ),
));
Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-aside',
    'title'     => __('Aside', 'allcom'),
    'subsection' => true,
    'fields'    => array(
        array(
            'id'        => 'aside_boxed_or_stretched',
            'type'      => 'image_select',
            'title'     => __('Boxed or Stretched Style', 'allcom'),
            'subtitle'  => __('Choose the format that works best for you.', 'allcom'),
            'options'   => array(
                'container' => array('alt' => 'Boxed', 'img' => $ReduxFrameworkAssets . 'boxed.png'),
                'container-fluid' => array('alt' => 'Stretched', 'img' => $ReduxFrameworkAssets . 'stretched.png')
            ),
            'default'   => 'container'
        ),
    ),
));
Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-footer',
    'title'     => __('Footer', 'allcom'),
    'subsection' => true,
    'fields'    => array(
        array(
            'id'        => 'footer_boxed_or_stretched',
            'type'      => 'image_select',
            'title'     => __('Boxed or Stretched Style', 'allcom'),
            'subtitle'  => __('Choose the format that works best for you.', 'allcom'),
            'options'   => array(
                'container' => array('alt' => 'Boxed', 'img' => $ReduxFrameworkAssets . 'boxed.png'),
                'container-fluid' => array('alt' => 'Stretched', 'img' => $ReduxFrameworkAssets . 'stretched.png')
            ),
            'default'   => 'container'
        ),
        array(
            'id'       => 'footer_top',
            'type'     => 'button_set',
            'title'    => __('Breadcrumbs And Bottom To Top Button', 'allcom'),
            'subtitle' => __('Enable or disable the breadcrumbs and botton to top', 'allcom'),
            'options' => array(
                '1' => 'No', 
                '2' => 'Breadcrumbs', 
                '3' => 'Bottom To Top',
                '4' => 'Breadcrumbs And Bottom To Top',
            ), 
            'default' => '4'
        ),
        array(
            'id' => 'footer_widget_levels',
            'type' => 'slider',
            'title' => __('How many widget levels?', 'allcom'),
            'desc' => __('Enter a number. Min: 0, max: 3, step: 1, default value: 1', 'allcom'),
            "default" => 1,
            "min" => 0,
            "step" => 1,
            "max" => 3,
            'display_value' => 'text'
        ),
        array(
            'id' => 'footer_widget_columns_first_level',
            'type' => 'image_select',
            'title' => __('Widget Area Columns First Level', 'allcom'),
            'subtitle' => __('Select the columns for footer widget area.', 'allcom'),
            'required' => array('footer_widget_levels', '>=', '1'),
            'options' => array(
                '1' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/12.png'),
                '2' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/6-6.png'),
                '3' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/4-4-4.png'),
                '4' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/3-3-3-3.png'),
                '5' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/2.4-2.4-2.4-2.4-2.4.png'),
                '6' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/2-2-2-2-2-2.png'),
                '7' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/8-4.png'),
                '8' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/4-8.png'),
                '9' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/9-3.png'),
                '10' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/3-9.png'),
                '11' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/6-3-3.png'),
                '12' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/3-3-6.png'),
                '13' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/3-6-3.png'),
                '14' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/2-8-2.png'),
            ),
            'default' => '3'
        ),
        array(
            'id' => 'footer_widget_columns_second_level',
            'type' => 'image_select',
            'title' => __('Widget Area Columns Second Level', 'allcom'),
            'subtitle' => __('Select the columns for footer widget area.', 'allcom'),
            'required' => array('footer_widget_levels', '>=', '2'),
            'options' => array(
                '1' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/12.png'),
                '2' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/6-6.png'),
                '3' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/4-4-4.png'),
                '4' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/3-3-3-3.png'),
                '5' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/2.4-2.4-2.4-2.4-2.4.png'),
                '6' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/2-2-2-2-2-2.png'),
                '7' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/8-4.png'),
                '8' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/4-8.png'),
                '9' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/9-3.png'),
                '10' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/3-9.png'),
                '11' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/6-3-3.png'),
                '12' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/3-3-6.png'),
                '13' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/3-6-3.png'),
                '14' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/2-8-2.png'),
            ),
            'default' => '3'
        ),
        array(
            'id' => 'footer_widget_columns_third_level',
            'type' => 'image_select',
            'title' => __('Widget Area Columns Third Level', 'allcom'),
            'subtitle' => __('Select the columns for footer widget area.', 'allcom'),
            'required' => array('footer_widget_levels', '>=', '3'),
            'options' => array(
                '1' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/12.png'),
                '2' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/6-6.png'),
                '3' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/4-4-4.png'),
                '4' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/3-3-3-3.png'),
                '5' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/2.4-2.4-2.4-2.4-2.4.png'),
                '6' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/2-2-2-2-2-2.png'),
                '7' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/8-4.png'),
                '8' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/4-8.png'),
                '9' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/9-3.png'),
                '10' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/3-9.png'),
                '11' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/6-3-3.png'),
                '12' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/3-3-6.png'),
                '13' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/3-6-3.png'),
                '14' => array('title' => '', 'img' => $ReduxFrameworkAssets . 'col/2-8-2.png'),
            ),
            'default' => '3'
        ),
        array(
            'id' => 'footer_background_color',
            'type' => 'color_rgba',
            'title' => __('Background Color', 'allcom'),
            'subtitle' => __('Set color and alpha channel', 'allcom'),
            'output' => array('background-color' => 'footer.site-footer > .background-color-image'),
        ),
        array(
            'id'       => 'footer_background_image',
            'type'     => 'background',
            'background-color' => false,
            'title'    => __('Background Image', 'allcom'),
            'subtitle' => __('Background with image', 'allcom'),
            'output' => array('footer.site-footer'),
        ),
        array(
            'id' => 'copyright_info',
            'type' => 'editor',
            'title' => __('Copyright Info', 'allcom'),
            'subtitle' => __('Create your custom footer information', 'allcom'),
            'default' => '<a href="//visualmodo.com" target="_blank">Powered by Visualmodo.</a>',  
            'args'   => array(
                'teeny'  => false,
            ),
        ),
        array(
            'id'      => 'footer_layout',
            'type'    => 'sorter',
            'title'   => 'Layout Manager',
            'desc'    => 'Organize how you want the footer to appear',
            'options' => array(
                'Disabled' => array(
                ),
                'Enabled'  => array(
                    'top' => 'Top',
                    'widgets' => 'Widgets',
                    'bottom' => 'Bottom',
                ),
            ),
        ),

    ),
));
Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-components',
    'title'     => __('Components', 'allcom'),
));
Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-breadcrumb',
    'title'     => __('Breadcrumb', 'allcom'),
    'subsection' => true,
    'fields'    => array(
        array(
            'id'       => 'breadcrumb_separator',
            'type'     => 'text',
            'title'    => __('Separator Between Breadcrumb', 'allcom'),
            'default' => '/'
        ),
        array(
            'id'       => 'breadcrumb_anchor_text_home',
            'type'     => 'text',
            'title'    => __('Anchor Text For The Homepage', 'allcom'),
            'default' => 'Home'
        ),
        array(
            'id'       => 'breadcrumb_prefix_author',
            'type'     => 'text',
            'title'    => __('Prefix For Author Breadcrumb', 'allcom'),
            'default' => 'Articles Posted by'
        ),
        array(
            'id'       => 'breadcrumb_prefix_category',
            'type'     => 'text',
            'title'    => __('Prefix For Category Breadcrumb', 'allcom'),
            'default' => 'Archive by Category'
        ),
        array(
            'id'       => 'breadcrumb_prefix_tag',
            'type'     => 'text',
            'title'    => __('Prefix For Tag Breadcrumb', 'allcom'),
            'default' => 'Posts Tagged'
        ),
        array(
            'id'       => 'breadcrumb_prefix_search',
            'type'     => 'text',
            'title'    => __('Prefix For Search Page Breadcrumb', 'allcom'),
            'default' => 'You Searched for'
        ),
        array(
            'id'       => 'breadcrumb_prefix_404',
            'type'     => 'text',
            'title'    => __('Prefix For 404 Page Breadcrumb', 'allcom'),
            'default' => 'Error 404'
        ),
    ),
));
Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-buttons',
    'title'     => __('Buttons', 'allcom'),
    'subsection' => true,
    'fields'    => array(
        array(
            'id'       => 'buttons_color',
            'type'     => 'select',
            'title'    => __('Buttons Color', 'allcom'),
            'desc' => __('Choose the color that best suits your brand.', 'allcom'),
            'options' => array(
                'component-button-primary-color' => 'Primary Color',
                'component-button-secondary-color' => 'Secondary Color',
                'component-button-tertiary-color' => 'Tertiary Color',
                'component-button-contrast-color' => 'Contrast Color',
            ), 
            'default' => 'component-button-primary-color'
        ),
        array(
            'id'       => 'buttons_shape',
            'type'     => 'select',
            'title'    => __('Buttons Shape', 'allcom'),
            'desc' => __('Choose the corner style that best suits your brand.', 'allcom'),
            'options' => array(
                'component-button-square' => 'Square',
                'component-button-rounded' => 'Rounded',
                'component-button-round' => 'Round',
                'component-button-outline-square' => 'Outline Square',
                'component-button-outline-rounded' => 'Outline Rounded',
                'component-button-outline-round' => 'Outline Round',
            ), 
            'default' => 'component-button-rounded'
        ),
    ),
));
Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-cards',
    'title'     => __('Cards', 'allcom'),
    'subsection' => true,
    'fields'    => array(
        array(
            'id'       => 'cards_shape',
            'type'     => 'button_set',
            'title'    => __('Cards Shape', 'allcom'),
            'desc' => __('Choose the corner style that best suits your brand.', 'allcom'),
            'options' => array(
                'component-card-square' => 'Square',
                'component-card-rounded' => 'Rounded',
            ), 
            'default' => 'component-card-rounded'
        ),
    ),
));
Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-text-fields',
    'title'     => __('Text Fields', 'allcom'),
    'subsection' => true,
    'fields'    => array(
        array(
            'id'       => 'text_fields_shape',
            'type'     => 'select',
            'title'    => __('Text Fields Shape', 'allcom'),
            'desc' => __('Choose the corner style that best suits your brand.', 'allcom'),
            'options' => array(
                'component-text-fields-square' => 'Square',
                'component-text-fields-rounded' => 'Rounded',
            ), 
            'default' => 'component-text-fields-rounded'
        ),
    ),
));
Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-templates',
    'title'     => __('Templates', 'allcom'),
    'desc'      => __('404, Search, Categories, WooCommerce, Portfolio, Team...', 'allcom'),
    'fields'    => array(
    ),
));
Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-blog',
    'title'     => __('Blog', 'allcom'),
    'subsection' => true,
    'desc'      => __('Control and configure the general setup of your Blog.', 'allcom'),
    'fields'    => array(
        array(
            'id'       => 'post_grid',
            'type'     => 'button_set',
            'title'    => __('Grid Elements Per Row', 'allcom'),
            'subtitle' => __('Select columns number', 'allcom'),
            'options' => array(
                'post-grid--col-1' => '1 Column',
                'post-grid--col-2' => '2 Columns',
                'post-grid--col-3' => '3 Columns',
                'post-grid--col-4' => '4 Columns',
                'post-grid--col-5' => '5 Columns',
                'post-grid--col-6' => '6 Columns',
            ),
            'default' => 'post-grid--col-1'
        ),
        array(
            'id'        => 'blog_pagination',
            'type'      => 'switch',
            'title'     => __('Pagination', 'allcom'),
            'subtitle' => __('How want pagination for your blog?', 'allcom'),
            'default'   => true,
        ),
        array(
            'id'       => 'blog_order',
            'type'     => 'select',
            'title'    => __('Sort Order', 'allcom'), 
            'subtitle' => __('Select sorting order.', 'allcom'),
            'options'  => array(
                'ASC' => 'Ascending',
                'DESC' => 'Descending',
            ),
            'default'  => 'DESC',
        ),
        array(
            'id'       => 'blog_order_by',
            'type'     => 'select',
            'title'    => __('Order By', 'allcom'), 
            'subtitle' => __('Select order type.', 'allcom'),
            'options'  => array(
                'none' => 'None',
                'ID' => 'Order By ID',
                'author' => 'Author',
                'title' => 'Title',
                'name' => 'Name',
                'type' => 'Type',
                'date' => 'Date',
                'modified' => 'Last Modified Date',
                'parent' => 'Parent ID',
                'rand' => 'Random Order',
                'comment_count' => 'Number of Comments',
            ),
            'default'  => 'date',
        ),
        array(
            'id'       => 'blog_categories',
            'type'     => 'select',
            'multi'    => true,
            'title'    => __('Categories', 'allcom'),
            'desc' => __('If you want to show only certain posts categories, not the entire blog, please write the categories in this field, separated by commas. Please use the category slug, not the title.', 'allcom'),
            'subtitle' => __('Select the categories to display on the blog.', 'allcom'),
            'data'     => 'categories',
            'default'  => '',
        ),
        array(
            'id'       => 'blog_exclude_categories',
            'type'     => 'select',
            'multi'    => true,
            'title'    => __('Exclude Categories', 'allcom'),
            'desc' => __('You can also exclude multiple categories.', 'allcom'),
            'subtitle' => __('Select the tags that will not be displayed on the blog.', 'allcom'),
            'data'     => 'categories',
            'default'  => '',
        ),
        array(
            'id'       => 'blog_tags',
            'type'     => 'select',
            'multi'    => true,
            'title'    => __('Tags', 'allcom'),
            'desc' => __('If you want to show only certain posts tags, not the entire blog, please write the tags in this field, separated by commas. Please use the tag slug, not the title.', 'allcom'),
            'subtitle' => __('Select the tags to display on the blog.', 'allcom'),
            'data'     => 'tags',
            'default'  => '',
        ),
        array(
            'id'       => 'blog_exclude_tags',
            'type'     => 'select',
            'multi'    => true,
            'title'    => __('Exclude Tags', 'allcom'),
            'desc' => __('You can also exclude multiple tags.', 'allcom'),
            'subtitle' => __('Select the categories that will not be displayed on the blog.', 'allcom'),
            'data'     => 'tags',
            'default'  => '',
        ),
        array(
            'id'       => 'blog_sidebar',
            'type'     => 'button_set',
            'title'    => __('Blog Sidebar', 'allcom'),
            'subtitle' => __('Enable or disable the sidebar on blog', 'allcom'),
            'options' => array(
                '1' => 'No',
                '2' => 'Left',
                '3' => 'Right',
            ),
            'default' => '3'
        ),
        array(
            'id'       => 'single_post_sidebar',
            'type'     => 'button_set',
            'title'    => __('Single Post Sidebar', 'allcom'),
            'subtitle' => __('Enable or disable the sidebar on single post', 'allcom'),
            'options' => array(
                '1' => 'No',
                '2' => 'Left',
                '3' => 'Right',
            ),
            'default' => '3'
        ),
    ),
));
Redux::setSection($opt_name, array(
    'icon'      => 'visualmodo-code',
    'title'     => __('Custom Code', 'allcom'),
    'desc'      => __('Customize your website appearance by easily adding custom CSS and JS code without even having to modify your theme files.', 'allcom'),
    'fields'    => array(
        array(
            'id'        => 'custom_css_header',
            'type'      => 'ace_editor',
            'title'     => __('CSS Code on Header', 'allcom'),
            'subtitle'  => __('Add your CSS code here.', 'allcom'),
            'mode'      => 'css',
            'theme'     => 'monokai',
            'default' => ''
        ),
        array(
            'id'        => 'custom_css_footer',
            'type'      => 'ace_editor',
            'title'     => __('CSS Code on Footer', 'allcom'),
            'subtitle'  => __('Add your CSS code here.', 'allcom'),
            'mode'      => 'css',
            'theme'     => 'monokai',
            'default' => ''
        ),
        array(
            'id'        => 'custom_js_header',
            'type'      => 'ace_editor',
            'title'     => __('JS Code on Header', 'allcom'),
            'subtitle'  => __('Add your JavaScript code here.', 'allcom'),
            'mode'      => 'javascript',
            'theme'     => 'monokai',
            'default' => ''
        ),
        array(
            'id'        => 'custom_js_footer',
            'type'      => 'ace_editor',
            'title'     => __('JS Code on Footer', 'allcom'),
            'subtitle'  => __('Add your JavaScript code here.', 'allcom'),
            'mode'      => 'javascript',
            'theme'     => 'monokai',
            'default' => ''
        ),
        array(
            'id'        => 'google_analytics',
            'type'      => 'ace_editor',
            'title'     => __('Google Analytics Code', 'allcom'),
            'subtitle'  => __('Add your Tracking code here.', 'allcom'),
            'mode'      => 'text',
            'theme'     => 'monokai',
            'default' => ''
        ),
        array(
            'id'        => 'google_adsense',
            'type'      => 'ace_editor',
            'title'     => __('Google AdSense Code', 'allcom'),
            'subtitle'  => __('Add your ad code here.', 'allcom'),
            'mode'      => 'text',
            'theme'     => 'monokai',
            'default' => ''
        ),
    ),
));