<?php

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;

//Variables > Theme Options
$options = get_option('visualmodo');
$content_color_theming = $options['content_color_theming'] ?? 'light-theme';

get_header();
?>

	<div id="primary" class="content-area <?php echo $content_color_theming; ?>">
		<div class="container">
			<div class="row">
				<main id="main" class="site-main col-md">

				<?php if ( have_posts() ) : ?>

					<header class="page-header">
						<?php
						the_archive_title( '<h1 class="page-title">', '</h1>' );
						the_archive_description( '<div class="archive-description">', '</div>' );
						?>
					</header><!-- .page-header -->

					<?php
					/* Start the Loop */
					while ( have_posts() ) :
						the_post();

						/*
						* Include the Post-Type-specific template for the content.
						* If you want to override this in a child theme, then include a file
						* called content-___.php (where ___ is the Post Type name) and that will be used instead.
						*/
						get_template_part( 'views/post/_content', get_post_type() );

					endwhile;

					the_posts_navigation();

				else :

					get_template_part( 'views/post/_content', 'none' );

				endif;
				?>

				</main><!-- #main -->
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div><!-- #primary -->

<?php
get_footer();
