<?php

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;

/*-----------------------------------------------------------------------------------*/
/*  *.  Requires
/*-----------------------------------------------------------------------------------*/

define('VISUALMODO_ROOT', get_template_directory());

$visualmodo_requires = array(
	'/includes/setup.php',                  // Theme setup and custom theme supports.
	'/includes/template-tags.php',          // Custom template tags for this theme.
	'/includes/enqueue.php',                // Enqueue scripts and styles.
	'/includes/widgets.php',                // Register widget area.
	'/includes/breadcrumbs.php',            // Breadcrumbs Function.
	'/includes/navwalker.php',              // Load custom WordPress nav walker.
	'/app/tgmpa/tgmpa.php',                 // Plugin Activation
	'/app/options/init.php',                // Load theme options.
	'/app/widgets/button.php',              // Button Widget.
	'/app/widgets/contact-info.php',        // Contact Info Widget.
	'/app/widgets/divider.php',             // Divider Between Elements.
	'/app/widgets/search.php',              // Search Widget.
	'/app/widgets/spacer.php',              // Empty Space Widget.
	'/app/widgets/social-media-icons.php',  // Social Media Icons.
);

foreach ( $visualmodo_requires as $file ) {
	require_once VISUALMODO_ROOT . $file;
}


/*-----------------------------------------------------------------------------------*/
/*  *.  Unregister Widget Search
/*-----------------------------------------------------------------------------------*/

function unregister_default_widgets() {
	unregister_widget('WP_Widget_Search');
}
add_action('widgets_init', 'unregister_default_widgets', 11);


/*-----------------------------------------------------------------------------------*/
/*  *.  WooCommerce
/*-----------------------------------------------------------------------------------*/

add_filter( 'woocommerce_enqueue_styles', '__return_empty_array' ); // Remove Default Styles


/*-----------------------------------------------------------------------------------*/
/*  *.  Remove JQuery migrate
/*-----------------------------------------------------------------------------------*/

function remove_jquery_migrate( $scripts ) {
	if ( ! is_admin() && isset( $scripts->registered['jquery'] ) ) {
		$script = $scripts->registered['jquery'];
		if ( $script->deps ) { 
			// Check whether the script has any dependencies
			
			$script->deps = array_diff( $script->deps, array( 'jquery-migrate' ) );
		}
	}
}
add_action( 'wp_default_scripts', 'remove_jquery_migrate' );