<?php

// Async load
function visualmodo_async_scripts($url)
{
	if ( strpos( $url, '#asyncload') === false )
	return $url;
	else if ( is_admin() )
	return str_replace( '#asyncload', '', $url );
	else
	return str_replace( '#asyncload', '', $url )."' async='async"; 
}
add_filter( 'clean_url', 'visualmodo_async_scripts', 11, 1 );


// Styles and scripts base
if ( ! function_exists( 'visualmodo_scripts' ) ) {
	/**
	* Load theme's JavaScript sources.
	*/
	function visualmodo_scripts() {
		// Get the theme data.
		$the_theme = wp_get_theme();
		wp_enqueue_style( 'visualmodo-styles', get_template_directory_uri() . '/assets/styles/visualmodo.min.css#asyncload', array(), $the_theme->get( 'Version' ), false ); 
		
		wp_enqueue_script( 'jquery' );
		wp_enqueue_script( 'visualmodo-scripts', get_template_directory_uri() . '/assets/scripts/visualmodo.min.js', array(), $the_theme->get( 'Version' ), true );
		
		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply' );
		}
	}
} // endif function_exists( 'visualmodo_scripts' ).

add_action( 'wp_enqueue_scripts', 'visualmodo_scripts' );


// Redux icon font
if ( class_exists( 'Redux' ) ) {
			
	function options_icon_font() {
		
		wp_register_style(
			'redux-font-awesome',
			get_template_directory_uri().'/assets/fonts/options/font.css',
			array(),
			time(),
			'all'
		);  
		wp_enqueue_style( 'redux-font-awesome' );
	}
	add_action( 'redux/page/visualmodo/enqueue', 'options_icon_font' );
	
}
