<?php

function visualmodo_widgets_init() {

    $options = get_option('visualmodo');
    $footer_widget_levels = $options['footer_widget_levels'] ?? '1';

	register_sidebar( array(
		'name'          => __( 'Sidebar', 'allcom' ),
		'id'            => 'sidebar-1',
		'description'   => __( 'Sidebar widget area', 'allcom' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
    ) );

    register_sidebar( array(
        'name'          => __( 'First Header', 'allcom' ),
        'id'            => 'first-header',
        'description'   => 'Widget area for header',
        'before_widget' => '<section class="widget header-widget first-header-widget">',
        'after_widget'  => '</section>',
        'before_title'  => '<h3 class="widget-header-title">',
        'after_title'   => '</h3>',
    ) );
    register_sidebar( array(
        'name'          => __( 'Second Header', 'allcom' ),
        'id'            => 'second-header',
        'description'   => 'Widget area for header',
        'before_widget' => '<section class="widget header-widget second-header-widget">',
        'after_widget'  => '</section>',
        'before_title'  => '<h3 class="widget-header-title">',
        'after_title'   => '</h3>',
    ) );
    register_sidebar( array(
        'name'          => __( 'Third Header', 'allcom' ),
        'id'            => 'third-header',
        'description'   => 'Widget area for header',
        'before_widget' => '<section class="widget header-widget third-header-widget">',
        'after_widget'  => '</section>',
        'before_title'  => '<h3 class="widget-header-title">',
        'after_title'   => '</h3>',
    ) );
    register_sidebar( array(
        'name'          => __( 'Fourth Header', 'allcom' ),
        'id'            => 'fourth-header',
        'description'   => 'Widget area for header',
        'before_widget' => '<section class="widget header-widget fourth-header-widget">',
        'after_widget'  => '</section>',
        'before_title'  => '<h3 class="widget-header-title">',
        'after_title'   => '</h3>',
    ) );
    register_sidebar( array(
        'name'          => __( 'Fifth Header', 'allcom' ),
        'id'            => 'fifth-header',
        'description'   => 'Widget area for header',
        'before_widget' => '<section class="widget header-widget fifth-header-widget">',
        'after_widget'  => '</section>',
        'before_title'  => '<h3 class="widget-header-title">',
        'after_title'   => '</h3>',
    ) );
    register_sidebar( array(
        'name'          => __( 'Sixth Header', 'allcom' ),
        'id'            => 'sixth-header',
        'description'   => 'Widget area for header',
        'before_widget' => '<section class="widget header-widget sixth-header-widget">',
        'after_widget'  => '</section>',
        'before_title'  => '<h3 class="widget-header-title">',
        'after_title'   => '</h3>',
    ) );

    if ($footer_widget_levels >= 1) {
        register_sidebar( array(
            'name'          => __( 'First Footer', 'allcom' ),
            'id'            => 'first-footer-level-1',
            'description'   => 'Widget area for footer',
            'before_widget' => '<section class="widget">',
            'after_widget'  => '</section>',
            'before_title'  => '<h3 class="widget-footer-title">',
            'after_title'   => '</h3>',
        ) );
        register_sidebar( array(
            'name'          => __( 'Second Footer', 'allcom' ),
            'id'            => 'second-footer-level-1',
            'description'   => 'Widget area for footer',
            'before_widget' => '<section class="widget">',
            'after_widget'  => '</section>',
            'before_title'  => '<h3 class="widget-footer-title">',
            'after_title'   => '</h3>',
        ) );
        register_sidebar( array(
            'name'          => __( 'Third Footer', 'allcom' ),
            'id'            => 'third-footer-level-1',
            'description'   => 'Widget area for footer',
            'before_widget' => '<section class="widget">',
            'after_widget'  => '</section>',
            'before_title'  => '<h3 class="widget-footer-title">',
            'after_title'   => '</h3>',
        ) );
        register_sidebar( array(
            'name'          => __( 'Fourth Footer', 'allcom' ),
            'id'            => 'fourth-footer-level-1',
            'description'   => 'Widget area for footer',
            'before_widget' => '<section class="widget">',
            'after_widget'  => '</section>',
            'before_title'  => '<h3 class="widget-footer-title">',
            'after_title'   => '</h3>',
        ) );
        register_sidebar( array(
            'name'          => __( 'Fifth Footer', 'allcom' ),
            'id'            => 'fifth-footer-level-1',
            'description'   => 'Widget area for footer',
            'before_widget' => '<section class="widget">',
            'after_widget'  => '</section>',
            'before_title'  => '<h3 class="widget-footer-title">',
            'after_title'   => '</h3>',
        ) );
        register_sidebar( array(
            'name'          => __( 'Sixth Footer', 'allcom' ),
            'id'            => 'sixth-footer-level-1',
            'description'   => 'Widget area for footer',
            'before_widget' => '<section class="widget">',
            'after_widget'  => '</section>',
            'before_title'  => '<h3 class="widget-footer-title">',
            'after_title'   => '</h3>',
        ) );
    }
    if ($footer_widget_levels >= 2) {
        register_sidebar( array(
            'name'          => __( 'First Footer - Level 2', 'allcom' ),
            'id'            => 'first-footer-level-2',
            'description'   => 'Widget area for footer',
            'before_widget' => '<section class="widget">',
            'after_widget'  => '</section>',
            'before_title'  => '<h3 class="widget-footer-title">',
            'after_title'   => '</h3>',
        ) );
        register_sidebar( array(
            'name'          => __( 'Second Footer - Level 2', 'allcom' ),
            'id'            => 'second-footer-level-2',
            'description'   => 'Widget area for footer',
            'before_widget' => '<section class="widget">',
            'after_widget'  => '</section>',
            'before_title'  => '<h3 class="widget-footer-title">',
            'after_title'   => '</h3>',
        ) );
        register_sidebar( array(
            'name'          => __( 'Third Footer - Level 2', 'allcom' ),
            'id'            => 'third-footer-level-2',
            'description'   => 'Widget area for footer',
            'before_widget' => '<section class="widget">',
            'after_widget'  => '</section>',
            'before_title'  => '<h3 class="widget-footer-title">',
            'after_title'   => '</h3>',
        ) );
        register_sidebar( array(
            'name'          => __( 'Fourth Footer - Level 2', 'allcom' ),
            'id'            => 'fourth-footer-level-2',
            'description'   => 'Widget area for footer',
            'before_widget' => '<section class="widget">',
            'after_widget'  => '</section>',
            'before_title'  => '<h3 class="widget-footer-title">',
            'after_title'   => '</h3>',
        ) );
        register_sidebar( array(
            'name'          => __( 'Fifth Footer - Level 2', 'allcom' ),
            'id'            => 'fifth-footer-level-2',
            'description'   => 'Widget area for footer',
            'before_widget' => '<section class="widget">',
            'after_widget'  => '</section>',
            'before_title'  => '<h3 class="widget-footer-title">',
            'after_title'   => '</h3>',
        ) );
        register_sidebar( array(
            'name'          => __( 'Sixth Footer - Level 2', 'allcom' ),
            'id'            => 'sixth-footer-level-2',
            'description'   => 'Widget area for footer',
            'before_widget' => '<section class="widget">',
            'after_widget'  => '</section>',
            'before_title'  => '<h3 class="widget-footer-title">',
            'after_title'   => '</h3>',
        ) );
    }
    if ($footer_widget_levels >= 3) {
        register_sidebar( array(
            'name'          => __( 'First Footer - Level 3', 'allcom' ),
            'id'            => 'first-footer-level-3',
            'description'   => 'Widget area for footer',
            'before_widget' => '<section class="widget">',
            'after_widget'  => '</section>',
            'before_title'  => '<h3 class="widget-footer-title">',
            'after_title'   => '</h3>',
        ) );
        register_sidebar( array(
            'name'          => __( 'Second Footer - Level 3', 'allcom' ),
            'id'            => 'second-footer-level-3',
            'description'   => 'Widget area for footer',
            'before_widget' => '<section class="widget">',
            'after_widget'  => '</section>',
            'before_title'  => '<h3 class="widget-footer-title">',
            'after_title'   => '</h3>',
        ) );
        register_sidebar( array(
            'name'          => __( 'Third Footer - Level 3', 'allcom' ),
            'id'            => 'third-footer-level-3',
            'description'   => 'Widget area for footer',
            'before_widget' => '<section class="widget">',
            'after_widget'  => '</section>',
            'before_title'  => '<h3 class="widget-footer-title">',
            'after_title'   => '</h3>',
        ) );
        register_sidebar( array(
            'name'          => __( 'Fourth Footer - Level 3', 'allcom' ),
            'id'            => 'fourth-footer-level-3',
            'description'   => 'Widget area for footer',
            'before_widget' => '<section class="widget">',
            'after_widget'  => '</section>',
            'before_title'  => '<h3 class="widget-footer-title">',
            'after_title'   => '</h3>',
        ) );
        register_sidebar( array(
            'name'          => __( 'Fifth Footer - Level 3', 'allcom' ),
            'id'            => 'fifth-footer-level-3',
            'description'   => 'Widget area for footer',
            'before_widget' => '<section class="widget">',
            'after_widget'  => '</section>',
            'before_title'  => '<h3 class="widget-footer-title">',
            'after_title'   => '</h3>',
        ) );
        register_sidebar( array(
            'name'          => __( 'Sixth Footer - Level 3', 'allcom' ),
            'id'            => 'sixth-footer-level-3',
            'description'   => 'Widget area for footer',
            'before_widget' => '<section class="widget">',
            'after_widget'  => '</section>',
            'before_title'  => '<h3 class="widget-footer-title">',
            'after_title'   => '</h3>',
        ) );
    }

	register_sidebar( array(
        'name'          => __( 'Copyright', 'allcom' ),
        'id'            => 'copyright',
        'description'   => 'Widget area for footer',
        'before_widget' => '<section class="widget">',
        'after_widget'  => '</section>',
        'before_title'  => '<h3 class="widget-footer-title">',
        'after_title'   => '</h3>',
    ) );

}
add_action( 'widgets_init', 'visualmodo_widgets_init' );