<?php

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;

//Variables > Theme Options
$options = get_option('visualmodo');
$content_boxed_or_stretched = $options['content_boxed_or_stretched'] ?? 'container';
$content_color_theming = $options['content_color_theming'] ?? 'light-theme';
$post_grid = $options['post_grid'] ?? 'post-grid--col-1';
$blog_pagination = isset($options['blog_pagination']) ? get_query_var( 'paged' ) : '1';
$blog_sidebar = $options['blog_sidebar'] ?? '3';
$blog_order = $options['blog_order'] ?? 'DESC';
$blog_order_by = $options['blog_order_by'] ?? 'date';
$blog_categories = $options['blog_categories'] ?? '';
$blog_exclude_categories = $options['blog_exclude_categories'] ?? '';
$blog_tags = $options['blog_tags'] ?? '';
$blog_exclude_tags = $options['blog_exclude_tags'] ?? '';
get_header();
?>

	<div id="primary" class="content-area <?php echo $content_color_theming; ?>">
		<div class="<?php echo $content_boxed_or_stretched; ?>">
			<div class="row">
			<?php if ($blog_sidebar == '2') { get_sidebar(); } ?>
				<main id="main" class="site-main col-md">
					<div class="post-grid <?php echo $post_grid; ?>">
						<?php $args = array(
							'orderby'          => $blog_order_by,
							'order'            => $blog_order,
							'cat'              => $blog_categories,
							'category__not_in' => $blog_exclude_categories,
							'tag__in'          => $blog_tags,
							'tag__not_in'      => $blog_exclude_tags,
							'paged'            => $blog_pagination,
						); ?>
					
						<?php query_posts($args); ?>
					
						<?php
						if ( have_posts() ) :

							while ( have_posts() ) :
								the_post();

								/*
									* Include the Post-Type-specific template for the content.
									* If you want to override this in a child theme, then include a file
									* called content-___.php (where ___ is the Post Type name) and that will be used instead.
									*/
								get_template_part( 'views/post/_content', get_post_type() );

							endwhile;

						else :

							get_template_part( 'views/post/_content', 'none' );

						endif;
						wp_reset_query(); ?>
					</div>
					<?php if ($blog_pagination != '1') { the_posts_navigation(); } ?>
				</main><!-- #main -->
				<?php if ($blog_sidebar == '3') { get_sidebar(); } ?>
			</div>
		</div>
	</div>

<?php
get_footer();