<?php
//Variables > Theme Options
$options = get_option('visualmodo');
$brand_scheme = $options['brand_scheme'] ?? '1';
$brand_name = $options['brand_name'] ?? get_bloginfo( 'name' );
$brand_alt = isset($options['brand_alt']) ? 'alt="'.$options['brand_alt'].'"' : '';
$header_color_theming = $options['header_color_theming'] ?? 'light-theme';


/*-----------------------------------------------------------------------------------*/
/*  *.  Light Theme - For Header With Dark Background.
/*-----------------------------------------------------------------------------------*/

//URL
$brand_light_theme = isset($options['brand_light_theme']['url']) ? $options['brand_light_theme']['url'].' 1x' : '';
$brand_retina_light_theme = isset($options['brand_retina_light_theme']['url']) ? ','.$options['brand_retina_light_theme']['url'].' 2x' : '';
$brand_mobile_light_theme = isset($options['brand_mobile_light_theme']['url']) ? $options['brand_mobile_light_theme']['url'].' 1x' : '';
$brand_retina_mobile_light_theme = isset($options['brand_retina_mobile_light_theme']['url']) ? ','.$options['brand_retina_mobile_light_theme']['url'].' 2x' : '';


/*-----------------------------------------------------------------------------------*/
/*  *.  Light Theme - High Contrast - For Header With Dark Background.
/*-----------------------------------------------------------------------------------*/

//URL
$brand_light_theme_contrast = isset($options['brand_light_theme_contrast']['url']) ? $options['brand_light_theme_contrast']['url'].' 1x' : '';
$brand_retina_light_theme_contrast = isset($options['brand_retina_light_theme_contrast']['url']) ? ','.$options['brand_retina_light_theme_contrast']['url'].' 2x' : '';
$brand_mobile_light_theme_contrast = isset($options['brand_mobile_light_theme_contrast']['url']) ? $options['brand_mobile_light_theme_contrast']['url'].' 1x' : '';
$brand_retina_mobile_light_theme_contrast = isset($options['brand_retina_mobile_light_theme_contrast']['url']) ? ','.$options['brand_retina_mobile_light_theme_contrast']['url'].' 2x' : '';


/*-----------------------------------------------------------------------------------*/
/*  *.  Dark Theme - For Header With Light Background.
/*-----------------------------------------------------------------------------------*/

//URL
$brand_dark_theme = isset($options['brand_dark_theme']['url']) ? $options['brand_dark_theme']['url'].' 1x' : '';
$brand_retina_dark_theme = isset($options['brand_retina_dark_theme']['url']) ? ','.$options['brand_retina_dark_theme']['url'].' 2x' : '';
$brand_mobile_dark_theme = isset($options['brand_mobile_dark_theme']['url']) ? $options['brand_mobile_dark_theme']['url'].' 1x' : '';
$brand_retina_mobile_dark_theme = isset($options['brand_retina_mobile_dark_theme']['url']) ? ','.$options['brand_retina_mobile_dark_theme']['url'].' 2x' : '';


/*-----------------------------------------------------------------------------------*/
/*  *.  Dark Theme - High Contrast - For Header With Light Background.
/*-----------------------------------------------------------------------------------*/

//URL
$brand_dark_theme_contrast = isset($options['brand_dark_theme_contrast']['url']) ? $options['brand_dark_theme_contrast']['url'].' 1x' : '';
$brand_retina_dark_theme_contrast = isset($options['brand_retina_dark_theme_contrast']['url']) ? ','.$options['brand_retina_dark_theme_contrast']['url'].' 2x' : '';
$brand_mobile_dark_theme_contrast = isset($options['brand_mobile_dark_theme_contrast']['url']) ? $options['brand_mobile_dark_theme_contrast']['url'].' 1x' : '';
$brand_retina_mobile_dark_theme_contrast = isset($options['brand_retina_mobile_dark_theme_contrast']['url']) ? ','.$options['brand_retina_mobile_dark_theme_contrast']['url'].' 2x' : '';

?>

<div class="header__brand brand <?php echo $header_layout_item_position; ?>">
	<a class="brand__url" href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
		<?php if($brand_scheme != '1') { ?>
			<picture class="brand__img">
				<?php if($header_color_theming == 'light-theme') { ?>
					<source media="(min-width: 769px)" srcset="<?php echo $brand_light_theme . $brand_retina_light_theme; ?>" >
					<source media="(max-width: 768px)" srcset="<?php echo $brand_mobile_light_theme . $brand_retina_mobile_light_theme; ?>" >
					<img src="<?php echo $brand_light_theme; ?>" <?php echo $brand_alt; ?>>
				<?php } ?>
				<?php if($header_color_theming == 'dark-theme') { ?>
					<source media="(min-width: 769px)" srcset="<?php echo $brand_dark_theme . $brand_retina_dark_theme; ?>" >
					<source media="(max-width: 768px)" srcset="<?php echo $brand_mobile_dark_theme . $brand_retina_mobile_dark_theme; ?>" >
					<img src="<?php echo $brand_dark_theme; ?>" <?php echo $brand_alt; ?>>
				<?php } ?>
				<?php if($header_color_theming == 'light-theme-contrast') { ?>
					<source media="(min-width: 769px)" srcset="<?php echo $brand_light_theme_contrast . $brand_retina_light_theme_contrast; ?>" >
					<source media="(max-width: 768px)" srcset="<?php echo $brand_mobile_light_theme_contrast . $brand_retina_mobile_light_theme_contrast; ?>" >
					<img src="<?php echo $brand_light_theme_contrast; ?>" <?php echo $brand_alt; ?>>
				<?php } ?>
				<?php if($header_color_theming == 'dark-theme-contrast') { ?>
					<source media="(min-width: 769px)" srcset="<?php echo $brand_dark_theme_contrast . $brand_retina_dark_theme_contrast; ?>" >
					<source media="(max-width: 768px)" srcset="<?php echo $brand_mobile_dark_theme_contrast . $brand_retina_mobile_dark_theme_contrast; ?>" >
					<img src="<?php echo $brand_dark_theme_contrast; ?>" <?php echo $brand_alt; ?>>
				<?php } ?>
			</picture>	
		<?php } ?>
		<?php if($brand_scheme != '3') { ?>
			<span class="brand__name"><?php echo $brand_name; ?></span>
		<?php } ?>
	</a>
</div>