<?php

//Variables > Theme Options
$options = get_option('visualmodo');
$header_level = $header_level  ?? 'main';
$adaptive_navigation = $options[$header_level.'_adaptive_primary_navigation'] ?? 'expanded-navigation';
$navigation_items_position = $options[$header_level.'_primary_navigation_items_position'] ?? 'header__navigation--justify-items-end';
$show_navigation = $options[$header_level.'_show_primary_navigation'] ?? array('2', '3');

// Start Show Logo Breakpoint 
$sm = 'd-none d-sm-none';
$md = 'd-md-none';
$lg = 'd-lg-none';

foreach ($show_navigation as $key => $value) {
    switch($value) {
        case '1': $sm = 'd-sm-block';
        break;
        case '2': $md = 'd-md-block';
        break;
        case '3': $lg = 'd-lg-block';
        break;
    }
}

$show_navigation = $sm.' '.$md.' '.$lg;
// End Show Logo Breakpoint

wp_nav_menu( array(
    'theme_location'    => 'primary',
    'menu_id'           => 'primary-menu',
    'container'         => 'nav',
    'container_class'   => 'header__navigation navbar-expand '.$header_layout_item_position.' '.$navigation_items_position.' '.$adaptive_navigation.' '.$show_navigation,
    'container_id'      => 'primary-menu-container',
    'menu_class'        => 'navbar-nav',
    'fallback_cb'       => '',
    'walker'            => new WP_Bootstrap_Navwalker(),
) ); ?>