<?php 

//Variables > Theme Options
$options = get_option('visualmodo');
$header_level = $header_level  ?? 'main';
$search_layout = $options[$header_level.'_search_layout'] ?? '1';
$search_button = $options[$header_level.'_search_button'] ?? '3';
$search_placeholder_text = $options[$header_level.'_search_placeholder_text'] ?? '';
$search_button_text = $options[$header_level.'_search_button_text'] ?? '';
$show_search = $options[$header_level.'_show_search'] ?? array('1', '2', '3');

if (empty($search_placeholder_text)) {
    $search_placeholder_text = esc_attr__( 'Search &hellip;', 'allcom' );
}

if (empty($search_button_text)) {
    $search_button_text = esc_attr__( 'Search', 'allcom' );
}

// Start Show Breakpoint 
$sm = 'd-none d-sm-none';
$md = 'd-md-none';
$lg = 'd-lg-none';

foreach ($show_search as $key => $value) {
    switch($value) {
        case '1': $sm = 'd-sm-flex';
        break;
        case '2': $md = 'd-md-flex';
        break;
        case '3': $lg = 'd-lg-flex';
        break;
    }
}

$show_search = $sm.' '.$md.' '.$lg;
// End Show Breakpoint

$search_icon = '<svg class="visualmodo-icon-app__search" aria-hidden="true" width="1rem" height="1rem" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path d="M508.5 468.9L387.1 347.5c-2.3-2.3-5.3-3.5-8.5-3.5h-13.2c31.5-36.5 50.6-84 50.6-136C416 93.1 322.9 0 208 0S0 93.1 0 208s93.1 208 208 208c52 0 99.5-19.1 136-50.6v13.2c0 3.2 1.3 6.2 3.5 8.5l121.4 121.4c4.7 4.7 12.3 4.7 17 0l22.6-22.6c4.7-4.7 4.7-12.3 0-17zM208 368c-88.4 0-160-71.6-160-160S119.6 48 208 48s160 71.6 160 160-71.6 160-160 160z"></path></svg>';

?>




<?php if ($search_layout == '1') { ?>
    <div class="header__search header__search--<?php echo $header_level; ?> search-expanded <?php echo $header_layout_item_position.' '.$show_search; ?>">
        <div class="input-group">
            <form method="get" id="searchform" class="header__search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>" role="search">
                <?php if ($search_button == '2') { ?>
                    <div class="input-group-append">
                        <button id="searchsubmit" class="btn btn-dark search-form-button" type="submit"><?php echo $search_button_text; ?></button>
                    </div>
                <?php } ?>
                <input type="text" class="form-control search-form-input" id="s" name="s" type="text" placeholder="<?php echo $search_placeholder_text; ?>" value="<?php the_search_query(); ?>">
                <?php if ($search_button == '3') { ?>
                    <div class="input-group-append">
                        <button id="searchsubmit" class="btn btn-dark search-form-button" type="submit"><?php echo $search_button_text; ?></button>
                    </div>
                <?php } ?>
            </form>
        </div>
    </div>
<?php } else if ($search_layout == '2') { ?>
    <div class="header__search search-dropdown dropdown show <?php echo $header_layout_item_position.' '.$show_search; ?>">
        <a class="btn dropdown-toggle search-dropdown-button" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><?php echo $search_icon; ?></a>

        <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
            <div class="input-group">
                <form method="get" id="searchform" class="header__search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>" role="search">
                    <?php if ($search_button == '2') { ?>
                        <div class="input-group-append">
                            <button id="searchsubmit" class="btn btn-dark search-form-button" type="submit"><?php echo $search_button_text; ?></button>
                        </div>
                    <?php } ?>
                    <input type="text" class="form-control search-form-input" id="s" name="s" type="text" placeholder="<?php echo $search_placeholder_text; ?>" value="<?php the_search_query(); ?>">
                    <?php if ($search_button == '3') { ?>
                        <div class="input-group-append">
                            <button id="searchsubmit" class="btn btn-dark search-form-button" type="submit"><?php echo $search_button_text; ?></button>
                        </div>
                    <?php } ?>
                </form>
            </div>
        </div>
    </div>
<?php } else if ($search_layout == '3') { ?>
    <button type="button" class="btn search-modal-button <?php echo $show_search; ?>" data-toggle="modal" data-target="#search-icon-modal">
        <?php echo $search_icon; ?>
    </button>

    <div class="header__search search-modal modal fade" id="search-icon-modal" tabindex="-1" role="dialog" aria-labelledby="search-icon-modal-label" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg">
        <div class="modal-content">
            <div class="modal-body">
                <div class="input-group">
                <form method="get" id="searchform" class="header__search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>" role="search">
                        <?php if ($search_button == '2') { ?>
                            <div class="input-group-append">
                                <button id="searchsubmit" class="btn btn-dark search-form-button" type="submit"><?php echo $search_button_text; ?></button>
                            </div>
                        <?php } ?>
                        <input type="text" class="form-control search-form-input" id="s" name="s" type="text" placeholder="<?php echo $search_placeholder_text; ?>" value="<?php the_search_query(); ?>">
                        <?php if ($search_button == '3') { ?>
                            <div class="input-group-append">
                                <button id="searchsubmit" class="btn btn-dark search-form-button" type="submit"><?php echo $search_button_text; ?></button>
                            </div>
                        <?php } ?>
                    </form>
                </div>
            </div>
        </div>
    </div>
    </div>
<?php } ?>