<?php

//Variables > Theme Options
$options = get_option('visualmodo');
$header_level = $header_level  ?? 'main';
$lsn_menu = $options[$header_level.'_lsn_menu'] ?? '';
$lsn_logo = $options[$header_level.'_lsn_logo'] ?? 'lsn--start';
$navigation_items_position = $options[$header_level.'_adaptive_lsn_navigation_items_position'] ?? 'header__navigation--justify-items-end';
$show_lsn_logo = $options[$header_level.'_show_lsn_logo'] ?? array('1', '2', '3');
$show_lsn_menu = $options[$header_level.'_show_lsn_menu'] ?? array('1', '2', '3');
$adaptive_lsn_navigation = $options[$header_level.'_adaptive_lsn_navigation'] ?? 'expanded-navigation';
// Start Show Logo Breakpoint 
$sm = 'd-none d-sm-none';
$md = 'd-md-none';
$lg = 'd-lg-none';

foreach ($show_lsn_logo as $key => $value) {
    switch($value) {
        case '1': $sm = 'd-sm-block';
        break;
        case '2': $md = 'd-md-block';
        break;
        case '3': $lg = 'd-lg-block';
        break;
    }
}

$show_lsn_logo = $sm.' '.$md.' '.$lg;
// End Show Logo Breakpoint

// Start Show Menu Breakpoint 
$sm = 'd-none d-sm-none';
$md = 'd-md-none';
$lg = 'd-lg-none';

foreach ($show_lsn_menu as $key => $value) {
    switch($value) {
        case '1': $sm = 'd-sm-flex';
        break;
        case '2': $md = 'd-md-flex';
        break;
        case '3': $lg = 'd-lg-flex';
        break;
    }
}

$show_lsn_menu = $sm.' '.$md.' '.$lg;
// End Show Menu Breakpoint

?>

<div class="lsn <?php echo $lsn_logo; ?>">

    <div class="lsn__logo <?php echo $show_lsn_logo; ?>">
        <?php get_template_part('views/partials/header/branding'); ?>
    </div>

    <div class="lsn__navigation <?php echo $show_lsn_menu; ?>">
        <?php wp_nav_menu( array(
            'theme_location'    => $lsn_menu,
            'menu_id'           => $lsn_menu.'-menu',
            'container'         => 'nav',
            'container_class'   => 'header__navigation navbar-expand '.$header_layout_item_position.' '.$navigation_items_position.' '.$adaptive_lsn_navigation,
            'container_id'      => $lsn_menu.'-menu-container',
            'menu_class'        => 'navbar-nav',
            'fallback_cb'       => '',
            'walker'            => new WP_Bootstrap_Navwalker(),
            ) 
        ); ?>
    </div>

</div>