<?php

//Variables > Theme Options
$options = get_option('visualmodo');
$header_level = $header_level  ?? 'main';
$split_navigation_logo = $options[$header_level.'_split_navigation_logo'] ?? 'logo-split-navigation--center';
$left_navigation_menu = $options[$header_level.'_left_navigation_menu'] ?? '';
$right_navigation_menu = $options[$header_level.'_right_navigation_menu'] ?? '';
$show_logo = $options[$header_level.'_show_sn_logo'] ?? array('1', '2', '3');
$show_menu = $options[$header_level.'_show_sn_menus'] ?? array('1', '2', '3');
$adaptive_navigation = $options[$header_level.'_adaptive_sn_navigation'] ?? 'expanded-navigation';

// Start Show Logo Breakpoint 
$sm = 'd-none d-sm-none';
$md = 'd-md-none';
$lg = 'd-lg-none';

foreach ($show_logo as $key => $value) {
    switch($value) {
        case '1': $sm = 'd-sm-block';
        break;
        case '2': $md = 'd-md-block';
        break;
        case '3': $lg = 'd-lg-block';
        break;
    }
}

$show_logo = $sm.' '.$md.' '.$lg;
// End Show Logo Breakpoint

// Start Show Menu Breakpoint 
$sm = 'd-none d-sm-none';
$md = 'd-md-none';
$lg = 'd-lg-none';

foreach ($show_menu as $key => $value) {
    switch($value) {
        case '1': $sm = 'd-sm-flex';
        break;
        case '2': $md = 'd-md-flex';
        break;
        case '3': $lg = 'd-lg-flex';
        break;
    }
}

$show_menu = $sm.' '.$md.' '.$lg;
// End Show Menu Breakpoint

if ($left_navigation_menu && $right_navigation_menu) { ?>
    
    <div class="logo-split-navigation <?php echo $split_navigation_logo; ?>">

        <div class="sn__navigation sn__navigation--left <?php echo $show_menu; ?>">
            <?php wp_nav_menu( array(
                'theme_location'    => $left_navigation_menu,
                'menu_id'           => $left_navigation_menu.'-menu',
                'container'         => 'nav',
                'container_class'   => 'header__navigation navbar-expand '.$header_layout_item_position.' '.$adaptive_navigation,
                'container_id'      => $left_navigation_menu.'-menu-container',
                'menu_class'        => 'navbar-nav ',
                'fallback_cb'       => '',
                'walker'            => new WP_Bootstrap_Navwalker(),
                ) 
            ); ?>
        </div>
        
        <div class="sn__logo <?php echo $show_logo; ?>">
            <?php get_template_part('views/partials/header/branding'); ?>
        </div>

        <div class="sn__navigation sn__navigation--right <?php echo $show_menu; ?>">
            <?php wp_nav_menu( array(
                'theme_location'    => $right_navigation_menu,
                'menu_id'           => $right_navigation_menu.'-menu',
                'container'         => 'nav',
                'container_class'   => 'header__navigation navbar-expand '.$header_layout_item_position.' '.$adaptive_navigation,
                'container_id'      => $right_navigation_menu.'-menu-container',
                'menu_class'        => 'navbar-nav ',
                'fallback_cb'       => '',
                'walker'            => new WP_Bootstrap_Navwalker(),
                ) 
            ); ?>
        </div>

    </div>
    
<?php } ?>
